/* SPDX-License-Identifier: BSD-3-Clause
 * Copyright(c) 2014-2023 Broadcom
 * All rights reserved.
 */

#ifndef ULP_TEMPLATE_DB_H_
#define ULP_TEMPLATE_DB_H_

#define BNXT_ULP_REGFILE_MAX_SZ 65
#define BNXT_ULP_MAX_NUM_DEVICES 4
#define BNXT_ULP_LOG2_MAX_NUM_DEV 2
#define BNXT_ULP_GEN_TBL_MAX_SZ 36
#define BNXT_ULP_CLASS_MATCH_LIST_MAX_SZ 43
#define BNXT_ULP_ACT_SIG_TBL_MAX_SZ 32768
#define BNXT_ULP_ACT_MATCH_LIST_MAX_SZ 554
#define BNXT_ULP_ACT_HID_LOW_PRIME 7919
#define BNXT_ULP_ACT_HID_HIGH_PRIME 7919
#define BNXT_ULP_ACT_HID_SHFTR 25
#define BNXT_ULP_ACT_HID_SHFTL 27
#define BNXT_ULP_ACT_HID_MASK 32767
#define BNXT_ULP_APP_RESOURCE_RESV_LIST_MAX_SZ 24
#define BNXT_ULP_GLB_RESOURCE_TBL_MAX_SZ 215
#define BNXT_ULP_APP_GLB_RESOURCE_TBL_MAX_SZ 4
#define BNXT_ULP_RESOURCE_RESV_LIST_MAX_SZ 278
#define BNXT_ULP_APP_CAP_TBL_MAX_SZ 7
#define BNXT_ULP_COND_GOTO_REJECT 1023
#define BNXT_ULP_COND_GOTO_RF 0x10000
#define BNXT_ULP_APP_ID_CONFIG 0
#define BNXT_ULP_GLB_FIELD_TBL_SIZE 116
#define BNXT_ULP_GLB_SIG_TBL_SIZE 1
#define ULP_WH_PLUS_CLASS_TMPL_LIST_SIZE 6
#define ULP_WH_PLUS_CLASS_TBL_LIST_SIZE 89
#define ULP_WH_PLUS_CLASS_KEY_INFO_LIST_SIZE 606
#define ULP_WH_PLUS_CLASS_IDENT_LIST_SIZE 26
#define ULP_WH_PLUS_CLASS_RESULT_FIELD_LIST_SIZE 618
#define ULP_WH_PLUS_CLASS_COND_LIST_SIZE 49
#define ULP_THOR_CLASS_TMPL_LIST_SIZE 6
#define ULP_THOR_CLASS_TBL_LIST_SIZE 137
#define ULP_THOR_CLASS_KEY_INFO_LIST_SIZE 3035
#define ULP_THOR_CLASS_IDENT_LIST_SIZE 30
#define ULP_THOR_CLASS_RESULT_FIELD_LIST_SIZE 1970
#define ULP_THOR_CLASS_COND_LIST_SIZE 78
#define ULP_WH_PLUS_ACT_TMPL_LIST_SIZE 11
#define ULP_WH_PLUS_ACT_TBL_LIST_SIZE 46
#define ULP_WH_PLUS_ACT_KEY_INFO_LIST_SIZE 2
#define ULP_WH_PLUS_ACT_IDENT_LIST_SIZE 1
#define ULP_WH_PLUS_ACT_RESULT_FIELD_LIST_SIZE 616
#define ULP_WH_PLUS_ACT_COND_LIST_SIZE 61
#define ULP_THOR_ACT_TMPL_LIST_SIZE 11
#define ULP_THOR_ACT_TBL_LIST_SIZE 148
#define ULP_THOR_ACT_KEY_INFO_LIST_SIZE 41
#define ULP_THOR_ACT_IDENT_LIST_SIZE 19
#define ULP_THOR_ACT_RESULT_FIELD_LIST_SIZE 1308
#define ULP_THOR_ACT_COND_LIST_SIZE 84

enum bnxt_ulp_act_bit {
	BNXT_ULP_ACT_BIT_MARK                = 0x0000000000000001,
	BNXT_ULP_ACT_BIT_DROP                = 0x0000000000000002,
	BNXT_ULP_ACT_BIT_COUNT               = 0x0000000000000004,
	BNXT_ULP_ACT_BIT_RSS                 = 0x0000000000000008,
	BNXT_ULP_ACT_BIT_METER               = 0x0000000000000010,
	BNXT_ULP_ACT_BIT_VXLAN_DECAP         = 0x0000000000000020,
	BNXT_ULP_ACT_BIT_POP_MPLS            = 0x0000000000000040,
	BNXT_ULP_ACT_BIT_PUSH_MPLS           = 0x0000000000000080,
	BNXT_ULP_ACT_BIT_MAC_SWAP            = 0x0000000000000100,
	BNXT_ULP_ACT_BIT_SET_MAC_SRC         = 0x0000000000000200,
	BNXT_ULP_ACT_BIT_SET_MAC_DST         = 0x0000000000000400,
	BNXT_ULP_ACT_BIT_POP_VLAN            = 0x0000000000000800,
	BNXT_ULP_ACT_BIT_PUSH_VLAN           = 0x0000000000001000,
	BNXT_ULP_ACT_BIT_SET_VLAN_PCP        = 0x0000000000002000,
	BNXT_ULP_ACT_BIT_SET_VLAN_VID        = 0x0000000000004000,
	BNXT_ULP_ACT_BIT_SET_IPV4_SRC        = 0x0000000000008000,
	BNXT_ULP_ACT_BIT_SET_IPV4_DST        = 0x0000000000010000,
	BNXT_ULP_ACT_BIT_SET_IPV6_SRC        = 0x0000000000020000,
	BNXT_ULP_ACT_BIT_SET_IPV6_DST        = 0x0000000000040000,
	BNXT_ULP_ACT_BIT_DEC_TTL             = 0x0000000000080000,
	BNXT_ULP_ACT_BIT_SET_TP_SRC          = 0x0000000000100000,
	BNXT_ULP_ACT_BIT_SET_TP_DST          = 0x0000000000200000,
	BNXT_ULP_ACT_BIT_VXLAN_ENCAP         = 0x0000000000400000,
	BNXT_ULP_ACT_BIT_JUMP                = 0x0000000000800000,
	BNXT_ULP_ACT_BIT_SHARED              = 0x0000000001000000,
	BNXT_ULP_ACT_BIT_SAMPLE              = 0x0000000002000000,
	BNXT_ULP_ACT_BIT_SHARED_SAMPLE       = 0x0000000004000000,
	BNXT_ULP_ACT_BIT_QUEUE               = 0x0000000008000000,
	BNXT_ULP_ACT_BIT_DELETE              = 0x0000000010000000,
	BNXT_ULP_ACT_BIT_UPDATE              = 0x0000000020000000,
	BNXT_ULP_ACT_BIT_SHARED_METER        = 0x0000000040000000,
	BNXT_ULP_ACT_BIT_METER_PROFILE       = 0x0000000080000000,
	BNXT_ULP_ACT_BIT_GOTO_CHAIN          = 0x0000000100000000,
	BNXT_ULP_ACT_BIT_VF_TO_VF            = 0x0000000200000000,
	BNXT_ULP_ACT_BIT_IP_ENCAP            = 0x0000000400000000,
	BNXT_ULP_ACT_BIT_IP_DECAP            = 0x0000000800000000,
	BNXT_ULP_ACT_BIT_L2_ENCAP            = 0x0000001000000000,
	BNXT_ULP_ACT_BIT_L2_DECAP            = 0x0000002000000000,
	BNXT_ULP_ACT_BIT_LAST                = 0x0000004000000000
};

enum bnxt_ulp_hdr_bit {
	BNXT_ULP_HDR_BIT_O_ETH               = 0x0000000000000001,
	BNXT_ULP_HDR_BIT_OO_VLAN             = 0x0000000000000002,
	BNXT_ULP_HDR_BIT_OI_VLAN             = 0x0000000000000004,
	BNXT_ULP_HDR_BIT_O_IPV4              = 0x0000000000000008,
	BNXT_ULP_HDR_BIT_O_IPV6              = 0x0000000000000010,
	BNXT_ULP_HDR_BIT_O_TCP               = 0x0000000000000020,
	BNXT_ULP_HDR_BIT_O_UDP               = 0x0000000000000040,
	BNXT_ULP_HDR_BIT_O_ICMP              = 0x0000000000000080,
	BNXT_ULP_HDR_BIT_T_VXLAN             = 0x0000000000000100,
	BNXT_ULP_HDR_BIT_T_GRE               = 0x0000000000000200,
	BNXT_ULP_HDR_BIT_I_ETH               = 0x0000000000000400,
	BNXT_ULP_HDR_BIT_IO_VLAN             = 0x0000000000000800,
	BNXT_ULP_HDR_BIT_II_VLAN             = 0x0000000000001000,
	BNXT_ULP_HDR_BIT_I_IPV4              = 0x0000000000002000,
	BNXT_ULP_HDR_BIT_I_IPV6              = 0x0000000000004000,
	BNXT_ULP_HDR_BIT_I_TCP               = 0x0000000000008000,
	BNXT_ULP_HDR_BIT_I_UDP               = 0x0000000000010000,
	BNXT_ULP_HDR_BIT_I_ICMP              = 0x0000000000020000,
	BNXT_ULP_HDR_BIT_O_ECPRI             = 0x0000000000040000,
	BNXT_ULP_HDR_BIT_O_ROE               = 0x0000000000080000,
	BNXT_ULP_HDR_BIT_F1                  = 0x0000000000100000,
	BNXT_ULP_HDR_BIT_F2                  = 0x0000000000200000,
	BNXT_ULP_HDR_BIT_SVIF_IGNORE         = 0x0000000000400000,
	BNXT_ULP_HDR_BIT_SVIF                = 0x0000000000800000,
	BNXT_ULP_HDR_BIT_O_SRV6              = 0x0000000001000000,
	BNXT_ULP_HDR_BIT_LAST                = 0x0000000002000000
};

enum bnxt_ulp_accept_opc {
	BNXT_ULP_ACCEPT_OPC_ALWAYS = 0,
	BNXT_ULP_ACCEPT_OPC_FLOW_SIG_ID_MATCH = 1,
	BNXT_ULP_ACCEPT_OPC_LAST = 2
};

enum bnxt_ulp_act_type {
	BNXT_ULP_ACT_TYPE_NOT_SUPPORTED = 0,
	BNXT_ULP_ACT_TYPE_SUPPORTED = 1,
	BNXT_ULP_ACT_TYPE_END = 2,
	BNXT_ULP_ACT_TYPE_LAST = 3
};

enum bnxt_ulp_byte_order {
	BNXT_ULP_BYTE_ORDER_BE = 0,
	BNXT_ULP_BYTE_ORDER_LE = 1,
	BNXT_ULP_BYTE_ORDER_LAST = 2
};

enum bnxt_ulp_cf_idx {
	BNXT_ULP_CF_IDX_NOT_USED = 0,
	BNXT_ULP_CF_IDX_MPLS_TAG_NUM = 1,
	BNXT_ULP_CF_IDX_O_VTAG_NUM = 2,
	BNXT_ULP_CF_IDX_O_HAS_VTAG = 3,
	BNXT_ULP_CF_IDX_O_ONE_VTAG = 4,
	BNXT_ULP_CF_IDX_O_TWO_VTAGS = 5,
	BNXT_ULP_CF_IDX_I_VTAG_NUM = 6,
	BNXT_ULP_CF_IDX_I_HAS_VTAG = 7,
	BNXT_ULP_CF_IDX_I_ONE_VTAG = 8,
	BNXT_ULP_CF_IDX_I_TWO_VTAGS = 9,
	BNXT_ULP_CF_IDX_INCOMING_IF = 10,
	BNXT_ULP_CF_IDX_DIRECTION = 11,
	BNXT_ULP_CF_IDX_SVIF_FLAG = 12,
	BNXT_ULP_CF_IDX_O_L3 = 13,
	BNXT_ULP_CF_IDX_I_L3 = 14,
	BNXT_ULP_CF_IDX_O_L4 = 15,
	BNXT_ULP_CF_IDX_I_L4 = 16,
	BNXT_ULP_CF_IDX_O_L4_SRC_PORT = 17,
	BNXT_ULP_CF_IDX_O_L4_DST_PORT = 18,
	BNXT_ULP_CF_IDX_I_L4_SRC_PORT = 19,
	BNXT_ULP_CF_IDX_I_L4_DST_PORT = 20,
	BNXT_ULP_CF_IDX_O_L4_SRC_PORT_MASK = 21,
	BNXT_ULP_CF_IDX_O_L4_DST_PORT_MASK = 22,
	BNXT_ULP_CF_IDX_I_L4_SRC_PORT_MASK = 23,
	BNXT_ULP_CF_IDX_I_L4_DST_PORT_MASK = 24,
	BNXT_ULP_CF_IDX_O_L4_FB_SRC_PORT = 25,
	BNXT_ULP_CF_IDX_O_L4_FB_DST_PORT = 26,
	BNXT_ULP_CF_IDX_I_L4_FB_SRC_PORT = 27,
	BNXT_ULP_CF_IDX_I_L4_FB_DST_PORT = 28,
	BNXT_ULP_CF_IDX_O_L3_FB_PROTO_ID = 29,
	BNXT_ULP_CF_IDX_I_L3_FB_PROTO_ID = 30,
	BNXT_ULP_CF_IDX_O_L3_PROTO_ID = 31,
	BNXT_ULP_CF_IDX_I_L3_PROTO_ID = 32,
	BNXT_ULP_CF_IDX_DEV_PORT_ID = 33,
	BNXT_ULP_CF_IDX_DRV_FUNC_SVIF = 34,
	BNXT_ULP_CF_IDX_DRV_FUNC_SPIF = 35,
	BNXT_ULP_CF_IDX_DRV_FUNC_PARIF = 36,
	BNXT_ULP_CF_IDX_DRV_FUNC_VNIC = 37,
	BNXT_ULP_CF_IDX_DRV_FUNC_PHY_PORT = 38,
	BNXT_ULP_CF_IDX_VF_FUNC_SVIF = 39,
	BNXT_ULP_CF_IDX_VF_FUNC_SPIF = 40,
	BNXT_ULP_CF_IDX_VF_FUNC_PARIF = 41,
	BNXT_ULP_CF_IDX_VF_FUNC_VNIC = 42,
	BNXT_ULP_CF_IDX_PHY_PORT_SVIF = 43,
	BNXT_ULP_CF_IDX_PHY_PORT_SPIF = 44,
	BNXT_ULP_CF_IDX_PHY_PORT_PARIF = 45,
	BNXT_ULP_CF_IDX_PHY_PORT_VPORT = 46,
	BNXT_ULP_CF_IDX_ACT_ENCAP_IPV4_FLAG = 47,
	BNXT_ULP_CF_IDX_ACT_ENCAP_IPV6_FLAG = 48,
	BNXT_ULP_CF_IDX_ACT_DEC_TTL = 49,
	BNXT_ULP_CF_IDX_ACT_T_DEC_TTL = 50,
	BNXT_ULP_CF_IDX_ACT_PORT_IS_SET = 51,
	BNXT_ULP_CF_IDX_ACT_PORT_TYPE = 52,
	BNXT_ULP_CF_IDX_ACT_MIRR_PORT_IS_SET = 53,
	BNXT_ULP_CF_IDX_ACT_MIRR_PORT_TYPE = 54,
	BNXT_ULP_CF_IDX_MATCH_PORT_TYPE = 55,
	BNXT_ULP_CF_IDX_MATCH_PORT_IS_VFREP = 56,
	BNXT_ULP_CF_IDX_MATCH_PORT_IS_PF = 57,
	BNXT_ULP_CF_IDX_VF_TO_VF = 58,
	BNXT_ULP_CF_IDX_L3_HDR_CNT = 59,
	BNXT_ULP_CF_IDX_L4_HDR_CNT = 60,
	BNXT_ULP_CF_IDX_VFR_MODE = 61,
	BNXT_ULP_CF_IDX_L3_TUN = 62,
	BNXT_ULP_CF_IDX_L3_TUN_DECAP = 63,
	BNXT_ULP_CF_IDX_FID = 64,
	BNXT_ULP_CF_IDX_HDR_SIG_ID = 65,
	BNXT_ULP_CF_IDX_FLOW_SIG_ID = 66,
	BNXT_ULP_CF_IDX_WC_MATCH = 67,
	BNXT_ULP_CF_IDX_WC_IS_HA_HIGH_REG = 68,
	BNXT_ULP_CF_IDX_TUNNEL_ID = 69,
	BNXT_ULP_CF_IDX_TUN_OFF_DIP_ID = 70,
	BNXT_ULP_CF_IDX_TUN_OFF_DMAC_ID = 71,
	BNXT_ULP_CF_IDX_OO_VLAN_FB_VID = 72,
	BNXT_ULP_CF_IDX_OI_VLAN_FB_VID = 73,
	BNXT_ULP_CF_IDX_IO_VLAN_FB_VID = 74,
	BNXT_ULP_CF_IDX_II_VLAN_FB_VID = 75,
	BNXT_ULP_CF_IDX_SOCKET_DIRECT = 76,
	BNXT_ULP_CF_IDX_SOCKET_DIRECT_VPORT = 77,
	BNXT_ULP_CF_IDX_TUNNEL_SPORT = 78,
	BNXT_ULP_CF_IDX_VF_META_FID = 79,
	BNXT_ULP_CF_IDX_DEV_ACT_PORT_ID = 80,
	BNXT_ULP_CF_IDX_DEV_ACT_MIRR_PORT_ID = 81,
	BNXT_ULP_CF_IDX_O_VLAN_NO_IGNORE = 82,
	BNXT_ULP_CF_IDX_I_VLAN_NO_IGNORE = 83,
	BNXT_ULP_CF_IDX_HA_SUPPORT_DISABLED = 84,
	BNXT_ULP_CF_IDX_CHAIN_ID_METADATA = 85,
	BNXT_ULP_CF_IDX_SRV6_UPAR_ID = 86,
	BNXT_ULP_CF_IDX_SRV6_T_ID = 87,
	BNXT_ULP_CF_IDX_GENERIC_SIZE = 88,
	BNXT_ULP_CF_IDX_APP_PRIORITY = 89,
	BNXT_ULP_CF_IDX_MIRROR_COPY_ING_OR_EGR = 90,
	BNXT_ULP_CF_IDX_EM_FOR_IPV6 = 91,
	BNXT_ULP_CF_IDX_LAST = 92
};

enum bnxt_ulp_cond_list_opc {
	BNXT_ULP_COND_LIST_OPC_TRUE = 0,
	BNXT_ULP_COND_LIST_OPC_FALSE = 1,
	BNXT_ULP_COND_LIST_OPC_OR = 2,
	BNXT_ULP_COND_LIST_OPC_AND = 3,
	BNXT_ULP_COND_LIST_OPC_LAST = 4
};

enum bnxt_ulp_cond_opc {
	BNXT_ULP_COND_OPC_CF_IS_SET = 0,
	BNXT_ULP_COND_OPC_CF_NOT_SET = 1,
	BNXT_ULP_COND_OPC_ACT_BIT_IS_SET = 2,
	BNXT_ULP_COND_OPC_ACT_BIT_NOT_SET = 3,
	BNXT_ULP_COND_OPC_HDR_BIT_IS_SET = 4,
	BNXT_ULP_COND_OPC_HDR_BIT_NOT_SET = 5,
	BNXT_ULP_COND_OPC_FIELD_BIT_IS_SET = 6,
	BNXT_ULP_COND_OPC_FIELD_BIT_NOT_SET = 7,
	BNXT_ULP_COND_OPC_RF_IS_SET = 8,
	BNXT_ULP_COND_OPC_RF_NOT_SET = 9,
	BNXT_ULP_COND_OPC_FLOW_PAT_MATCH = 10,
	BNXT_ULP_COND_OPC_ACT_PAT_MATCH = 11,
	BNXT_ULP_COND_OPC_EXT_MEM_IS_SET = 12,
	BNXT_ULP_COND_OPC_EXT_MEM_NOT_SET = 13,
	BNXT_ULP_COND_OPC_ENC_HDR_BIT_IS_SET = 14,
	BNXT_ULP_COND_OPC_ENC_HDR_BIT_NOT_SET = 15,
	BNXT_ULP_COND_OPC_ACT_PROP_IS_SET = 16,
	BNXT_ULP_COND_OPC_ACT_PROP_NOT_SET = 17,
	BNXT_ULP_COND_OPC_LAST = 18
};

enum bnxt_ulp_critical_resource {
	BNXT_ULP_CRITICAL_RESOURCE_NO = 0,
	BNXT_ULP_CRITICAL_RESOURCE_YES = 1,
	BNXT_ULP_CRITICAL_RESOURCE_LAST = 2
};

enum bnxt_ulp_device_id {
	BNXT_ULP_DEVICE_ID_WH_PLUS = 0,
	BNXT_ULP_DEVICE_ID_THOR = 1,
	BNXT_ULP_DEVICE_ID_STINGRAY = 2,
	BNXT_ULP_DEVICE_ID_STINGRAY2 = 3,
	BNXT_ULP_DEVICE_ID_LAST = 4
};

enum bnxt_ulp_df_param_type {
	BNXT_ULP_DF_PARAM_TYPE_DEV_PORT_ID = 0,
	BNXT_ULP_DF_PARAM_TYPE_LAST = 1
};

enum bnxt_ulp_direction {
	BNXT_ULP_DIRECTION_INGRESS = 0,
	BNXT_ULP_DIRECTION_EGRESS = 1,
	BNXT_ULP_DIRECTION_LAST = 2
};

enum bnxt_ulp_enc_field {
	BNXT_ULP_ENC_FIELD_ETH_DMAC = 0,
	BNXT_ULP_ENC_FIELD_ETH_SMAC = 1,
	BNXT_ULP_ENC_FIELD_ETH_TYPE = 2,
	BNXT_ULP_ENC_FIELD_O_VLAN_TCI = 3,
	BNXT_ULP_ENC_FIELD_O_VLAN_TYPE = 4,
	BNXT_ULP_ENC_FIELD_I_VLAN_TCI = 5,
	BNXT_ULP_ENC_FIELD_I_VLAN_TYPE = 6,
	BNXT_ULP_ENC_FIELD_IPV4_IHL = 7,
	BNXT_ULP_ENC_FIELD_IPV4_TOS = 8,
	BNXT_ULP_ENC_FIELD_IPV4_PKT_ID = 9,
	BNXT_ULP_ENC_FIELD_IPV4_FRAG = 10,
	BNXT_ULP_ENC_FIELD_IPV4_TTL = 11,
	BNXT_ULP_ENC_FIELD_IPV4_PROTO = 12,
	BNXT_ULP_ENC_FIELD_IPV4_SADDR = 13,
	BNXT_ULP_ENC_FIELD_IPV4_DADDR = 14,
	BNXT_ULP_ENC_FIELD_IPV6_VTC_FLOW = 15,
	BNXT_ULP_ENC_FIELD_IPV6_PROTO = 16,
	BNXT_ULP_ENC_FIELD_IPV6_TTL = 17,
	BNXT_ULP_ENC_FIELD_IPV6_SADDR = 18,
	BNXT_ULP_ENC_FIELD_IPV6_DADDR = 19,
	BNXT_ULP_ENC_FIELD_UDP_SPORT = 20,
	BNXT_ULP_ENC_FIELD_UDP_DPORT = 21,
	BNXT_ULP_ENC_FIELD_VXLAN_FLAGS = 22,
	BNXT_ULP_ENC_FIELD_VXLAN_RSVD0 = 23,
	BNXT_ULP_ENC_FIELD_VXLAN_VNI = 24,
	BNXT_ULP_ENC_FIELD_VXLAN_RSVD1 = 25,
	BNXT_ULP_ENC_FIELD_SRV6_NEXT_HDR = 26,
	BNXT_ULP_ENC_FIELD_SRV6_HDR_LEN = 27,
	BNXT_ULP_ENC_FIELD_SRV6_ROUTING_TYPE = 28,
	BNXT_ULP_ENC_FIELD_SRV6_SEG_LEFT = 29,
	BNXT_ULP_ENC_FIELD_SRV6_LAST_ENTRY = 30,
	BNXT_ULP_ENC_FIELD_SRV6_FLAGS = 31,
	BNXT_ULP_ENC_FIELD_SRV6_TAG = 32,
	BNXT_ULP_ENC_FIELD_SRV6_SEG_LIST0 = 33,
	BNXT_ULP_ENC_FIELD_SRV6_SEG_LIST1 = 34,
	BNXT_ULP_ENC_FIELD_SRV6_SEG_LIST2 = 35,
	BNXT_ULP_ENC_FIELD_SRV6_SEG_LIST3 = 36,
	BNXT_ULP_ENC_FIELD_GENERIC_SIZE = 37,
	BNXT_ULP_ENC_FIELD_GENERIC_RSVD = 38,
	BNXT_ULP_ENC_FIELD_LAST = 39
};

enum bnxt_ulp_fdb_opc {
	BNXT_ULP_FDB_OPC_PUSH_FID = 0,
	BNXT_ULP_FDB_OPC_PUSH_RID_REGFILE = 1,
	BNXT_ULP_FDB_OPC_ALLOC_RID_REGFILE = 2,
	BNXT_ULP_FDB_OPC_DELETE_RID_REGFILE = 3,
	BNXT_ULP_FDB_OPC_CLEAR_RID_REGFILE = 4,
	BNXT_ULP_FDB_OPC_NOP = 5,
	BNXT_ULP_FDB_OPC_LAST = 6
};

enum bnxt_ulp_fdb_type {
	BNXT_ULP_FDB_TYPE_REGULAR = 0,
	BNXT_ULP_FDB_TYPE_DEFAULT = 1,
	BNXT_ULP_FDB_TYPE_RID = 2,
	BNXT_ULP_FDB_TYPE_LAST = 3
};

enum bnxt_ulp_field_opc {
	BNXT_ULP_FIELD_OPC_SRC1 = 0,
	BNXT_ULP_FIELD_OPC_SRC1_THEN_SRC2_ELSE_SRC3 = 1,
	BNXT_ULP_FIELD_OPC_SRC1_PLUS_SRC2 = 2,
	BNXT_ULP_FIELD_OPC_SRC1_MINUS_SRC2 = 3,
	BNXT_ULP_FIELD_OPC_SRC1_PLUS_SRC2_POST = 4,
	BNXT_ULP_FIELD_OPC_SRC1_MINUS_SRC2_POST = 5,
	BNXT_ULP_FIELD_OPC_SRC1_OR_SRC2 = 6,
	BNXT_ULP_FIELD_OPC_SRC1_OR_SRC2_OR_SRC3 = 7,
	BNXT_ULP_FIELD_OPC_SRC1_AND_SRC2 = 8,
	BNXT_ULP_FIELD_OPC_SRC1_AND_SRC2_OR_SRC3 = 9,
	BNXT_ULP_FIELD_OPC_SKIP = 10,
	BNXT_ULP_FIELD_OPC_LAST = 11
};

enum bnxt_ulp_field_src {
	BNXT_ULP_FIELD_SRC_ZERO = 0,
	BNXT_ULP_FIELD_SRC_ONES = 1,
	BNXT_ULP_FIELD_SRC_CONST = 2,
	BNXT_ULP_FIELD_SRC_CF = 3,
	BNXT_ULP_FIELD_SRC_RF = 4,
	BNXT_ULP_FIELD_SRC_ACT_PROP = 5,
	BNXT_ULP_FIELD_SRC_ACT_PROP_SZ = 6,
	BNXT_ULP_FIELD_SRC_GLB_RF = 7,
	BNXT_ULP_FIELD_SRC_HF = 8,
	BNXT_ULP_FIELD_SRC_SUB_HF = 9,
	BNXT_ULP_FIELD_SRC_HDR_BIT = 10,
	BNXT_ULP_FIELD_SRC_ACT_BIT = 11,
	BNXT_ULP_FIELD_SRC_FIELD_BIT = 12,
	BNXT_ULP_FIELD_SRC_SKIP = 13,
	BNXT_ULP_FIELD_SRC_REJECT = 14,
	BNXT_ULP_FIELD_SRC_PORT_TABLE = 15,
	BNXT_ULP_FIELD_SRC_ENC_HDR_BIT = 16,
	BNXT_ULP_FIELD_SRC_ENC_FIELD = 17,
	BNXT_ULP_FIELD_SRC_LAST = 18
};

enum bnxt_ulp_func_opc {
	BNXT_ULP_FUNC_OPC_NOP = 0,
	BNXT_ULP_FUNC_OPC_EQ = 1,
	BNXT_ULP_FUNC_OPC_NE = 2,
	BNXT_ULP_FUNC_OPC_GT = 3,
	BNXT_ULP_FUNC_OPC_GE = 4,
	BNXT_ULP_FUNC_OPC_LT = 5,
	BNXT_ULP_FUNC_OPC_LE = 6,
	BNXT_ULP_FUNC_OPC_COPY_SRC1_TO_RF = 7,
	BNXT_ULP_FUNC_OPC_RSS_CONFIG = 8,
	BNXT_ULP_FUNC_OPC_GET_PARENT_MAC_ADDR = 9,
	BNXT_ULP_FUNC_OPC_ALLOC_L2_CTX_ID = 10,
	BNXT_ULP_FUNC_OPC_TUNNEL_DST_PORT_ALLOC = 11,
	BNXT_ULP_FUNC_OPC_TUNNEL_DST_PORT_FREE = 12,
	BNXT_ULP_FUNC_OPC_LAST = 13
};

enum bnxt_ulp_func_src {
	BNXT_ULP_FUNC_SRC_REGFILE = 0,
	BNXT_ULP_FUNC_SRC_GLB_REGFILE = 1,
	BNXT_ULP_FUNC_SRC_COMP_FIELD = 2,
	BNXT_ULP_FUNC_SRC_CONST = 3,
	BNXT_ULP_FUNC_SRC_LAST = 4
};

enum bnxt_ulp_generic_tbl_lkup_type {
	BNXT_ULP_GENERIC_TBL_LKUP_TYPE_INDEX = 0,
	BNXT_ULP_GENERIC_TBL_LKUP_TYPE_HASH = 1,
	BNXT_ULP_GENERIC_TBL_LKUP_TYPE_LAST = 2
};

enum bnxt_ulp_generic_tbl_opc {
	BNXT_ULP_GENERIC_TBL_OPC_NOT_USED = 0,
	BNXT_ULP_GENERIC_TBL_OPC_READ = 1,
	BNXT_ULP_GENERIC_TBL_OPC_WRITE = 2,
	BNXT_ULP_GENERIC_TBL_OPC_LAST = 3
};

enum bnxt_ulp_glb_rf_idx {
	BNXT_ULP_GLB_RF_IDX_NOT_USED = 0,
	BNXT_ULP_GLB_RF_IDX_GLB_PROF_FUNC_ID = 1,
	BNXT_ULP_GLB_RF_IDX_GLB_PROF_FUNC_ID_0 = 2,
	BNXT_ULP_GLB_RF_IDX_GLB_PROF_FUNC_ID_1 = 3,
	BNXT_ULP_GLB_RF_IDX_GLB_PROF_FUNC_ID_2 = 4,
	BNXT_ULP_GLB_RF_IDX_GLB_LB_AREC_PTR = 5,
	BNXT_ULP_GLB_RF_IDX_L2_PROF_FUNC_ID = 6,
	BNXT_ULP_GLB_RF_IDX_GLB_L2_CNTXT_ID_0 = 7,
	BNXT_ULP_GLB_RF_IDX_GLB_L2_CNTXT_ID_1 = 8,
	BNXT_ULP_GLB_RF_IDX_VXLAN_PROF_FUNC_ID = 9,
	BNXT_ULP_GLB_RF_IDX_VF_2_VFR_PROF_FUNC_ID = 10,
	BNXT_ULP_GLB_RF_IDX_ANY_2_VF_PROF_FUNC_ID = 11,
	BNXT_ULP_GLB_RF_IDX_GLB_MODIFY_PTR = 12,
	BNXT_ULP_GLB_RF_IDX_GLB_DROP_AREC_PTR = 13,
	BNXT_ULP_GLB_RF_IDX_ENCAP_MAC_PTR = 14,
	BNXT_ULP_GLB_RF_IDX_GLB_WC_PROFILE_ID_0 = 15,
	BNXT_ULP_GLB_RF_IDX_GLB_WC_PROFILE_ID_1 = 16,
	BNXT_ULP_GLB_RF_IDX_GLB_WC_PROFILE_ID_2 = 17,
	BNXT_ULP_GLB_RF_IDX_GLB_WC_PROFILE_ID_3 = 18,
	BNXT_ULP_GLB_RF_IDX_GLB_WC_PROFILE_ID_4 = 19,
	BNXT_ULP_GLB_RF_IDX_GLB_WC_PROFILE_ID_5 = 20,
	BNXT_ULP_GLB_RF_IDX_GLB_WC_PROFILE_ID_6 = 21,
	BNXT_ULP_GLB_RF_IDX_GLB_WC_PROFILE_ID_7 = 22,
	BNXT_ULP_GLB_RF_IDX_GLB_WC_PROFILE_ID_8 = 23,
	BNXT_ULP_GLB_RF_IDX_GLB_WC_PROFILE_ID_9 = 24,
	BNXT_ULP_GLB_RF_IDX_GLB_WC_KEY_ID_0 = 25,
	BNXT_ULP_GLB_RF_IDX_GLB_WC_KEY_ID_1 = 26,
	BNXT_ULP_GLB_RF_IDX_GLB_WC_KEY_ID_2 = 27,
	BNXT_ULP_GLB_RF_IDX_GLB_WC_KEY_ID_3 = 28,
	BNXT_ULP_GLB_RF_IDX_GLB_WC_KEY_ID_4 = 29,
	BNXT_ULP_GLB_RF_IDX_GLB_WC_KEY_ID_5 = 30,
	BNXT_ULP_GLB_RF_IDX_GLB_WC_KEY_ID_6 = 31,
	BNXT_ULP_GLB_RF_IDX_GLB_WC_KEY_ID_7 = 32,
	BNXT_ULP_GLB_RF_IDX_GLB_WC_KEY_ID_8 = 33,
	BNXT_ULP_GLB_RF_IDX_GLB_EM_PROFILE_ID_0 = 34,
	BNXT_ULP_GLB_RF_IDX_GLB_EM_PROFILE_ID_1 = 35,
	BNXT_ULP_GLB_RF_IDX_GLB_EM_PROFILE_ID_2 = 36,
	BNXT_ULP_GLB_RF_IDX_GLB_EM_PROFILE_ID_3 = 37,
	BNXT_ULP_GLB_RF_IDX_GLB_EM_PROFILE_ID_4 = 38,
	BNXT_ULP_GLB_RF_IDX_GLB_EM_PROFILE_ID_5 = 39,
	BNXT_ULP_GLB_RF_IDX_GLB_EM_PROFILE_ID_6 = 40,
	BNXT_ULP_GLB_RF_IDX_GLB_EM_PROFILE_ID_7 = 41,
	BNXT_ULP_GLB_RF_IDX_GLB_EM_PROFILE_ID_8 = 42,
	BNXT_ULP_GLB_RF_IDX_GLB_EM_PROFILE_ID_9 = 43,
	BNXT_ULP_GLB_RF_IDX_GLB_EM_KEY_ID_0 = 44,
	BNXT_ULP_GLB_RF_IDX_GLB_EM_KEY_ID_1 = 45,
	BNXT_ULP_GLB_RF_IDX_GLB_EM_KEY_ID_2 = 46,
	BNXT_ULP_GLB_RF_IDX_GLB_EM_KEY_ID_3 = 47,
	BNXT_ULP_GLB_RF_IDX_GLB_EM_KEY_ID_4 = 48,
	BNXT_ULP_GLB_RF_IDX_GLB_EM_KEY_ID_5 = 49,
	BNXT_ULP_GLB_RF_IDX_GLB_METADATA_PROF_0 = 50,
	BNXT_ULP_GLB_RF_IDX_GLB_METADATA_PROF_1 = 51,
	BNXT_ULP_GLB_RF_IDX_GLB_VFR_EM_KEY_ID_0 = 52,
	BNXT_ULP_GLB_RF_IDX_GLB_VFR_EM_KEY_ID_1 = 53,
	BNXT_ULP_GLB_RF_IDX_GLB_VFR_EM_PROF_ID_0 = 54,
	BNXT_ULP_GLB_RF_IDX_GLB_VFR_EM_PROF_ID_1 = 55,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_PROF_FUNC_ID_0 = 56,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_PROF_FUNC_ID_1 = 57,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_PROF_FUNC_ID_2 = 58,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_PROF_FUNC_ID_3 = 59,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_L2_CNTXT_ID_0 = 60,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_L2_CNTXT_ID_1 = 61,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_EM_PROFILE_ID_0 = 62,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_EM_PROFILE_ID_1 = 63,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_WC_PROFILE_ID_0 = 64,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_WC_PROFILE_ID_1 = 65,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_WC_PROFILE_ID_2 = 66,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_WC_PROFILE_ID_3 = 67,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_WC_PROFILE_ID_4 = 68,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_WC_PROFILE_ID_5 = 69,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_WC_PROFILE_ID_6 = 70,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_WC_PROFILE_ID_7 = 71,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_WC_PROFILE_ID_8 = 72,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_WC_PROFILE_ID_9 = 73,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_WC_PROFILE_ID_10 = 74,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_EM_KEY_ID_0 = 75,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_EM_KEY_ID_1 = 76,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_WC_KEY_ID_0 = 77,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_WC_KEY_ID_1 = 78,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_WC_KEY_ID_2 = 79,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_WC_KEY_ID_3 = 80,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_WC_KEY_ID_4 = 81,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_AREC_PTR_0 = 82,
	BNXT_ULP_GLB_RF_IDX_APP_GLB_AREC_PTR_1 = 83,
	BNXT_ULP_GLB_RF_IDX_GRE_PROF_FUNC_ID = 84,
	BNXT_ULP_GLB_RF_IDX_RECYCLE_PROF_FUNC_ID = 85,
	BNXT_ULP_GLB_RF_IDX_GLB_ECPRI_UPAR_ID = 86,
	BNXT_ULP_GLB_RF_IDX_GLB_ECPRI_PROF_FUNC_ID = 87,
	BNXT_ULP_GLB_RF_IDX_LAST = 88
};

enum bnxt_ulp_global_register_tbl_opc {
	BNXT_ULP_GLOBAL_REGISTER_TBL_OPC_NOT_USED = 0,
	BNXT_ULP_GLOBAL_REGISTER_TBL_OPC_WR_REGFILE = 1,
	BNXT_ULP_GLOBAL_REGISTER_TBL_OPC_LAST = 2
};

enum bnxt_ulp_hdr_type {
	BNXT_ULP_HDR_TYPE_NOT_SUPPORTED = 0,
	BNXT_ULP_HDR_TYPE_SUPPORTED = 1,
	BNXT_ULP_HDR_TYPE_END = 2,
	BNXT_ULP_HDR_TYPE_LAST = 3
};

enum bnxt_ulp_if_tbl_opc {
	BNXT_ULP_IF_TBL_OPC_NOT_USED = 0,
	BNXT_ULP_IF_TBL_OPC_WR_COMP_FIELD = 1,
	BNXT_ULP_IF_TBL_OPC_WR_REGFILE = 2,
	BNXT_ULP_IF_TBL_OPC_WR_CONST = 3,
	BNXT_ULP_IF_TBL_OPC_RD_COMP_FIELD = 4,
	BNXT_ULP_IF_TBL_OPC_LAST = 5
};

enum bnxt_ulp_index_tbl_opc {
	BNXT_ULP_INDEX_TBL_OPC_NOT_USED = 0,
	BNXT_ULP_INDEX_TBL_OPC_ALLOC_REGFILE = 1,
	BNXT_ULP_INDEX_TBL_OPC_WR_REGFILE = 2,
	BNXT_ULP_INDEX_TBL_OPC_ALLOC_WR_REGFILE = 3,
	BNXT_ULP_INDEX_TBL_OPC_RD_REGFILE = 4,
	BNXT_ULP_INDEX_TBL_OPC_ALLOC_WR_GLB_REGFILE = 5,
	BNXT_ULP_INDEX_TBL_OPC_WR_GLB_REGFILE = 6,
	BNXT_ULP_INDEX_TBL_OPC_UPDATE_REGFILE = 7,
	BNXT_ULP_INDEX_TBL_OPC_LAST = 8
};

enum bnxt_ulp_mark_db_opc {
	BNXT_ULP_MARK_DB_OPC_NOP = 0,
	BNXT_ULP_MARK_DB_OPC_PUSH_IF_MARK_ACTION = 1,
	BNXT_ULP_MARK_DB_OPC_PUSH_AND_SET_VFR_FLAG = 2,
	BNXT_ULP_MARK_DB_OPC_LAST = 3
};

enum bnxt_ulp_match_type {
	BNXT_ULP_MATCH_TYPE_EM = 0,
	BNXT_ULP_MATCH_TYPE_WM = 1,
	BNXT_ULP_MATCH_TYPE_LAST = 2
};

enum bnxt_ulp_port_table {
	BNXT_ULP_PORT_TABLE_DRV_FUNC_PARENT_MAC = 0,
	BNXT_ULP_PORT_TABLE_DRV_FUNC_PARENT_VNIC = 1,
	BNXT_ULP_PORT_TABLE_DRV_FUNC_SVIF = 2,
	BNXT_ULP_PORT_TABLE_DRV_FUNC_SPIF = 3,
	BNXT_ULP_PORT_TABLE_DRV_FUNC_PARIF = 4,
	BNXT_ULP_PORT_TABLE_DRV_FUNC_VNIC = 5,
	BNXT_ULP_PORT_TABLE_DRV_FUNC_PHY_PORT = 6,
	BNXT_ULP_PORT_TABLE_DRV_FUNC_MAC = 7,
	BNXT_ULP_PORT_TABLE_VF_FUNC_SVIF = 8,
	BNXT_ULP_PORT_TABLE_VF_FUNC_SPIF = 9,
	BNXT_ULP_PORT_TABLE_VF_FUNC_PARIF = 10,
	BNXT_ULP_PORT_TABLE_VF_FUNC_VNIC = 11,
	BNXT_ULP_PORT_TABLE_VF_FUNC_MAC = 12,
	BNXT_ULP_PORT_TABLE_PHY_PORT_SVIF = 13,
	BNXT_ULP_PORT_TABLE_PHY_PORT_SPIF = 14,
	BNXT_ULP_PORT_TABLE_PHY_PORT_PARIF = 15,
	BNXT_ULP_PORT_TABLE_PHY_PORT_VPORT = 16,
	BNXT_ULP_PORT_TABLE_PORT_IS_PF = 17,
	BNXT_ULP_PORT_TABLE_VF_FUNC_METADATA = 18,
	BNXT_ULP_PORT_TABLE_LAST = 19
};

enum bnxt_ulp_pri_opc {
	BNXT_ULP_PRI_OPC_NOT_USED = 0,
	BNXT_ULP_PRI_OPC_CONST = 1,
	BNXT_ULP_PRI_OPC_APP_PRI = 2,
	BNXT_ULP_PRI_OPC_LAST = 3
};

enum bnxt_ulp_ref_cnt_opc {
	BNXT_ULP_REF_CNT_OPC_DEFAULT = 0,
	BNXT_ULP_REF_CNT_OPC_NOP = 1,
	BNXT_ULP_REF_CNT_OPC_DEC = 2,
	BNXT_ULP_REF_CNT_OPC_INC = 3,
	BNXT_ULP_REF_CNT_OPC_LAST = 4
};

enum bnxt_ulp_rf_idx {
	BNXT_ULP_RF_IDX_NOT_USED = 0,
	BNXT_ULP_RF_IDX_L2_CNTXT_ID_0 = 1,
	BNXT_ULP_RF_IDX_L2_CNTXT_ID_1 = 2,
	BNXT_ULP_RF_IDX_PROF_FUNC_ID_0 = 3,
	BNXT_ULP_RF_IDX_PROF_FUNC_ID_1 = 4,
	BNXT_ULP_RF_IDX_EM_PROFILE_ID_0 = 5,
	BNXT_ULP_RF_IDX_EM_PROFILE_ID_1 = 6,
	BNXT_ULP_RF_IDX_WC_PROFILE_ID_0 = 7,
	BNXT_ULP_RF_IDX_WC_PROFILE_ID_1 = 8,
	BNXT_ULP_RF_IDX_META_ACTION_PTR = 9,
	BNXT_ULP_RF_IDX_MIRR_ACTION_PTR = 10,
	BNXT_ULP_RF_IDX_MAIN_ACTION_PTR = 11,
	BNXT_ULP_RF_IDX_ACTION_PTR_0 = 12,
	BNXT_ULP_RF_IDX_ENCAP_PTR_0 = 13,
	BNXT_ULP_RF_IDX_ENCAP_PTR_1 = 14,
	BNXT_ULP_RF_IDX_CRITICAL_RESOURCE = 15,
	BNXT_ULP_RF_IDX_FLOW_CNTR_PTR_0 = 16,
	BNXT_ULP_RF_IDX_FLOW_CNTR_PTR_1 = 17,
	BNXT_ULP_RF_IDX_MAIN_SP_PTR = 18,
	BNXT_ULP_RF_IDX_MODIFY_IPV4_SRC_PTR_0 = 19,
	BNXT_ULP_RF_IDX_MODIFY_IPV4_DST_PTR_0 = 20,
	BNXT_ULP_RF_IDX_ACTION_REC_SIZE = 21,
	BNXT_ULP_RF_IDX_L2_CNTXT_TCAM_INDEX_0 = 22,
	BNXT_ULP_RF_IDX_L2_CNTXT_TCAM_INDEX_1 = 23,
	BNXT_ULP_RF_IDX_PROFILE_TCAM_INDEX_0 = 24,
	BNXT_ULP_RF_IDX_PROFILE_TCAM_INDEX_1 = 25,
	BNXT_ULP_RF_IDX_WC_TCAM_INDEX_0 = 26,
	BNXT_ULP_RF_IDX_WC_TCAM_INDEX_1 = 27,
	BNXT_ULP_RF_IDX_SRC_PROPERTY_PTR = 28,
	BNXT_ULP_RF_IDX_GENERIC_TBL_MISS = 29,
	BNXT_ULP_RF_IDX_MIRROR_PTR_0 = 30,
	BNXT_ULP_RF_IDX_MIRROR_ID_0 = 31,
	BNXT_ULP_RF_IDX_HDR_SIG_ID = 32,
	BNXT_ULP_RF_IDX_FLOW_SIG_ID = 33,
	BNXT_ULP_RF_IDX_RID = 34,
	BNXT_ULP_RF_IDX_WC_KEY_ID_0 = 35,
	BNXT_ULP_RF_IDX_EM_KEY_ID_0 = 36,
	BNXT_ULP_RF_IDX_DRV_FUNC_MAC = 37,
	BNXT_ULP_RF_IDX_DRV_FUNC_PARENT_MAC = 38,
	BNXT_ULP_RF_IDX_DEFAULT_AREC_PTR = 39,
	BNXT_ULP_RF_IDX_CC = 40,
	BNXT_ULP_RF_IDX_CF_FLOW_SIG_ID = 41,
	BNXT_ULP_RF_IDX_PHY_PORT = 42,
	BNXT_ULP_RF_IDX_METADATA_PROF = 43,
	BNXT_ULP_RF_IDX_MIRR_MODIFY_PTR = 44,
	BNXT_ULP_RF_IDX_MODIFY_PTR = 45,
	BNXT_ULP_RF_IDX_SOCK_DIR_SVIF = 46,
	BNXT_ULP_RF_IDX_SOCK_DIR_PARIF = 47,
	BNXT_ULP_RF_IDX_SOCK_DIR_ACT_PTR = 48,
	BNXT_ULP_RF_IDX_SOCK_DIR_PARENT_MAC = 49,
	BNXT_ULP_RF_IDX_RSS_VNIC = 50,
	BNXT_ULP_RF_IDX_PORT_IS_PF = 51,
	BNXT_ULP_RF_IDX_METER_PROFILE_PTR_0 = 52,
	BNXT_ULP_RF_IDX_METER_PTR_0 = 53,
	BNXT_ULP_RF_IDX_REF_CNT = 54,
	BNXT_ULP_RF_IDX_RF_0 = 55,
	BNXT_ULP_RF_IDX_RF_1 = 56,
	BNXT_ULP_RF_IDX_RF_2 = 57,
	BNXT_ULP_RF_IDX_RF_3 = 58,
	BNXT_ULP_RF_IDX_RF_4 = 59,
	BNXT_ULP_RF_IDX_RF_5 = 60,
	BNXT_ULP_RF_IDX_RF_6 = 61,
	BNXT_ULP_RF_IDX_RF_7 = 62,
	BNXT_ULP_RF_IDX_VF_FUNC_METADATA = 63,
	BNXT_ULP_RF_IDX_CHAIN_ID_METADATA = 64,
	BNXT_ULP_RF_IDX_LAST = 65
};

enum bnxt_ulp_tcam_tbl_opc {
	BNXT_ULP_TCAM_TBL_OPC_NOT_USED = 0,
	BNXT_ULP_TCAM_TBL_OPC_ALLOC_WR_REGFILE = 1,
	BNXT_ULP_TCAM_TBL_OPC_SRCH_ALLOC_WR_REGFILE = 2,
	BNXT_ULP_TCAM_TBL_OPC_ALLOC_REGFILE = 3,
	BNXT_ULP_TCAM_TBL_OPC_WR_REGFILE = 4,
	BNXT_ULP_TCAM_TBL_OPC_ALLOC_IDENT = 5,
	BNXT_ULP_TCAM_TBL_OPC_LAST = 6
};

enum bnxt_ulp_template_type {
	BNXT_ULP_TEMPLATE_TYPE_CLASS = 0,
	BNXT_ULP_TEMPLATE_TYPE_ACTION = 1,
	BNXT_ULP_TEMPLATE_TYPE_LAST = 2
};

enum bnxt_ulp_vnic_tbl_opc {
	BNXT_ULP_VNIC_TBL_OPC_NOT_USED = 0,
	BNXT_ULP_VNIC_TBL_OPC_ALLOC_WR_REGFILE = 1,
	BNXT_ULP_VNIC_TBL_OPC_LAST = 2
};

enum bnxt_ulp_app_cap {
	BNXT_ULP_APP_CAP_SHARED_EN = 0x00000001,
	BNXT_ULP_APP_CAP_HOT_UPGRADE_EN = 0x00000002,
	BNXT_ULP_APP_CAP_UNICAST_ONLY = 0x00000004,
	BNXT_ULP_APP_CAP_SOCKET_DIRECT = 0x00000008,
	BNXT_ULP_APP_CAP_IP_TOS_PROTO_SUPPORT = 0x00000010,
	BNXT_ULP_APP_CAP_BC_MC_SUPPORT = 0x00000020,
	BNXT_ULP_APP_CAP_HA_DYNAMIC = 0x00000040,
	BNXT_ULP_APP_CAP_SRV6 = 0x00000080
};

enum bnxt_ulp_fdb_resource_flags {
	BNXT_ULP_FDB_RESOURCE_FLAGS_DIR_INGR = 0x00,
	BNXT_ULP_FDB_RESOURCE_FLAGS_DIR_EGR = 0x01
};

enum bnxt_ulp_flow_dir_bitmask {
	BNXT_ULP_FLOW_DIR_BITMASK_ING = 0x0000000000000000,
	BNXT_ULP_FLOW_DIR_BITMASK_EGR = 0x8000000000000000
};

enum bnxt_ulp_resource_func {
	BNXT_ULP_RESOURCE_FUNC_INVALID = 0x00,
	BNXT_ULP_RESOURCE_FUNC_EM_TABLE = 0x20,
	BNXT_ULP_RESOURCE_FUNC_RSVD1 = 0x40,
	BNXT_ULP_RESOURCE_FUNC_RSVD2 = 0x60,
	BNXT_ULP_RESOURCE_FUNC_TCAM_TABLE = 0x80,
	BNXT_ULP_RESOURCE_FUNC_INDEX_TABLE = 0x81,
	BNXT_ULP_RESOURCE_FUNC_GENERIC_TABLE = 0x82,
	BNXT_ULP_RESOURCE_FUNC_IDENTIFIER = 0x83,
	BNXT_ULP_RESOURCE_FUNC_IF_TABLE = 0x84,
	BNXT_ULP_RESOURCE_FUNC_HW_FID = 0x85,
	BNXT_ULP_RESOURCE_FUNC_PARENT_FLOW = 0x86,
	BNXT_ULP_RESOURCE_FUNC_CHILD_FLOW = 0x87,
	BNXT_ULP_RESOURCE_FUNC_CTRL_TABLE = 0x88,
	BNXT_ULP_RESOURCE_FUNC_VNIC_TABLE = 0x89,
	BNXT_ULP_RESOURCE_FUNC_GLOBAL_REGISTER_TABLE = 0x8a
};

enum bnxt_ulp_resource_sub_type {
	BNXT_ULP_RESOURCE_SUB_TYPE_NOT_USED = 0,
	BNXT_ULP_RESOURCE_SUB_TYPE_INDEX_TABLE_NORMAL = 0,
	BNXT_ULP_RESOURCE_SUB_TYPE_INDEX_TABLE_VFR_CFA_ACTION = 1,
	BNXT_ULP_RESOURCE_SUB_TYPE_INDEX_TABLE_INT_COUNT = 2,
	BNXT_ULP_RESOURCE_SUB_TYPE_INDEX_TABLE_INT_COUNT_ACC = 3,
	BNXT_ULP_RESOURCE_SUB_TYPE_INDEX_TABLE_EXT_COUNT = 4,
	BNXT_ULP_RESOURCE_SUB_TYPE_GENERIC_TABLE_L2_CNTXT_TCAM = 0,
	BNXT_ULP_RESOURCE_SUB_TYPE_GENERIC_TABLE_PROFILE_TCAM = 1,
	BNXT_ULP_RESOURCE_SUB_TYPE_GENERIC_TABLE_SHARED_MIRROR = 2,
	BNXT_ULP_RESOURCE_SUB_TYPE_GENERIC_TABLE_MAC_ADDR_CACHE = 3,
	BNXT_ULP_RESOURCE_SUB_TYPE_GENERIC_TABLE_PORT_TABLE = 4,
	BNXT_ULP_RESOURCE_SUB_TYPE_GENERIC_TABLE_TUNNEL_CACHE = 5,
	BNXT_ULP_RESOURCE_SUB_TYPE_GENERIC_TABLE_SOURCE_PROPERTY_CACHE = 6,
	BNXT_ULP_RESOURCE_SUB_TYPE_GENERIC_TABLE_VXLAN_ENCAP_REC_CACHE = 7,
	BNXT_ULP_RESOURCE_SUB_TYPE_GENERIC_TABLE_SOCKET_DIRECT_CACHE = 8,
	BNXT_ULP_RESOURCE_SUB_TYPE_GENERIC_TABLE_VXLAN_ENCAP_IPV6_REC_CACHE = 9,
	BNXT_ULP_RESOURCE_SUB_TYPE_GENERIC_TABLE_SOURCE_PROPERTY_IPV6_CACHE = 10,
	BNXT_ULP_RESOURCE_SUB_TYPE_GENERIC_TABLE_OUTER_TUNNEL_CACHE = 11,
	BNXT_ULP_RESOURCE_SUB_TYPE_GENERIC_TABLE_SHARED_METER_TBL_CACHE = 12,
	BNXT_ULP_RESOURCE_SUB_TYPE_GENERIC_TABLE_METER_PROFILE_TBL_CACHE = 13,
	BNXT_ULP_RESOURCE_SUB_TYPE_GENERIC_TABLE_GLOBAL_REGISTER_TBL = 14,
	BNXT_ULP_RESOURCE_SUB_TYPE_GENERIC_TABLE_CHAIN_ID_CACHE = 15,
	BNXT_ULP_RESOURCE_SUB_TYPE_GENERIC_TABLE_L2_ENCAP_REC_CACHE = 16,
	BNXT_ULP_RESOURCE_SUB_TYPE_GENERIC_TABLE_SRV6_ENCAP_REC_CACHE = 17,
	BNXT_ULP_RESOURCE_SUB_TYPE_VNIC_TABLE_RSS = 0,
	BNXT_ULP_RESOURCE_SUB_TYPE_VNIC_TABLE_QUEUE = 1,
	BNXT_ULP_RESOURCE_SUB_TYPE_GLOBAL_REGISTER_CUST_VXLAN = 0,
	BNXT_ULP_RESOURCE_SUB_TYPE_GLOBAL_REGISTER_CUST_ECPRI = 1
};

enum bnxt_ulp_session_type {
	BNXT_ULP_SESSION_TYPE_DEFAULT = 0x00,
	BNXT_ULP_SESSION_TYPE_SHARED = 0x01,
	BNXT_ULP_SESSION_TYPE_SHARED_WC = 0x02,
	BNXT_ULP_SESSION_TYPE_SHARED_OWC = 0x04,
	BNXT_ULP_SESSION_TYPE_DEFAULT_NON_HA = 0x08,
	BNXT_ULP_SESSION_TYPE_LAST = 0x10
};

enum bnxt_ulp_act_prop_sz {
	BNXT_ULP_ACT_PROP_SZ_ENCAP_TUN_SZ = 4,
	BNXT_ULP_ACT_PROP_SZ_ENCAP_IP_SZ = 4,
	BNXT_ULP_ACT_PROP_SZ_ENCAP_VTAG_SZ = 4,
	BNXT_ULP_ACT_PROP_SZ_ENCAP_VTAG_TYPE = 4,
	BNXT_ULP_ACT_PROP_SZ_ENCAP_VTAG_NUM = 4,
	BNXT_ULP_ACT_PROP_SZ_ENCAP_L3_TYPE = 4,
	BNXT_ULP_ACT_PROP_SZ_MPLS_POP_NUM = 4,
	BNXT_ULP_ACT_PROP_SZ_MPLS_PUSH_NUM = 4,
	BNXT_ULP_ACT_PROP_SZ_PORT_ID = 4,
	BNXT_ULP_ACT_PROP_SZ_VNIC = 4,
	BNXT_ULP_ACT_PROP_SZ_VPORT = 4,
	BNXT_ULP_ACT_PROP_SZ_MIRR_VNIC = 4,
	BNXT_ULP_ACT_PROP_SZ_MIRR_VPORT = 4,
	BNXT_ULP_ACT_PROP_SZ_MARK = 4,
	BNXT_ULP_ACT_PROP_SZ_COUNT = 4,
	BNXT_ULP_ACT_PROP_SZ_METER = 4,
	BNXT_ULP_ACT_PROP_SZ_SET_MAC_SRC = 6,
	BNXT_ULP_ACT_PROP_SZ_SET_MAC_DST = 6,
	BNXT_ULP_ACT_PROP_SZ_PUSH_VLAN = 2,
	BNXT_ULP_ACT_PROP_SZ_SET_VLAN_PCP = 1,
	BNXT_ULP_ACT_PROP_SZ_SET_VLAN_VID = 2,
	BNXT_ULP_ACT_PROP_SZ_SET_IPV4_SRC = 4,
	BNXT_ULP_ACT_PROP_SZ_SET_IPV4_DST = 4,
	BNXT_ULP_ACT_PROP_SZ_SET_IPV6_SRC = 16,
	BNXT_ULP_ACT_PROP_SZ_SET_IPV6_DST = 16,
	BNXT_ULP_ACT_PROP_SZ_SET_TP_SRC = 2,
	BNXT_ULP_ACT_PROP_SZ_SET_TP_DST = 2,
	BNXT_ULP_ACT_PROP_SZ_OF_PUSH_MPLS_0 = 4,
	BNXT_ULP_ACT_PROP_SZ_OF_PUSH_MPLS_1 = 4,
	BNXT_ULP_ACT_PROP_SZ_OF_PUSH_MPLS_2 = 4,
	BNXT_ULP_ACT_PROP_SZ_OF_PUSH_MPLS_3 = 4,
	BNXT_ULP_ACT_PROP_SZ_OF_PUSH_MPLS_4 = 4,
	BNXT_ULP_ACT_PROP_SZ_OF_PUSH_MPLS_5 = 4,
	BNXT_ULP_ACT_PROP_SZ_OF_PUSH_MPLS_6 = 4,
	BNXT_ULP_ACT_PROP_SZ_OF_PUSH_MPLS_7 = 4,
	BNXT_ULP_ACT_PROP_SZ_ENCAP_L2_DMAC = 6,
	BNXT_ULP_ACT_PROP_SZ_ENCAP_L2_SMAC = 6,
	BNXT_ULP_ACT_PROP_SZ_ENCAP_VTAG = 8,
	BNXT_ULP_ACT_PROP_SZ_ENCAP_IP = 32,
	BNXT_ULP_ACT_PROP_SZ_ENCAP_IP_SRC = 16,
	BNXT_ULP_ACT_PROP_SZ_ENCAP_UDP = 4,
	BNXT_ULP_ACT_PROP_SZ_ENCAP_TUN = 32,
	BNXT_ULP_ACT_PROP_SZ_JUMP = 4,
	BNXT_ULP_ACT_PROP_SZ_SHARED_HANDLE = 8,
	BNXT_ULP_ACT_PROP_SZ_RSS_TYPES = 8,
	BNXT_ULP_ACT_PROP_SZ_RSS_LEVEL = 4,
	BNXT_ULP_ACT_PROP_SZ_RSS_KEY_LEN = 4,
	BNXT_ULP_ACT_PROP_SZ_RSS_KEY = 40,
	BNXT_ULP_ACT_PROP_SZ_RSS_QUEUE_NUM = 2,
	BNXT_ULP_ACT_PROP_SZ_RSS_QUEUE = 32,
	BNXT_ULP_ACT_PROP_SZ_QUEUE_INDEX = 2,
	BNXT_ULP_ACT_PROP_SZ_METER_PROF_ID_UPDATE = 1,
	BNXT_ULP_ACT_PROP_SZ_METER_PROF_ID = 4,
	BNXT_ULP_ACT_PROP_SZ_METER_PROF_CIR = 3,
	BNXT_ULP_ACT_PROP_SZ_METER_PROF_EIR = 3,
	BNXT_ULP_ACT_PROP_SZ_METER_PROF_CBS = 2,
	BNXT_ULP_ACT_PROP_SZ_METER_PROF_EBS = 2,
	BNXT_ULP_ACT_PROP_SZ_METER_PROF_RFC2698 = 1,
	BNXT_ULP_ACT_PROP_SZ_METER_PROF_PM = 1,
	BNXT_ULP_ACT_PROP_SZ_METER_PROF_EBND = 1,
	BNXT_ULP_ACT_PROP_SZ_METER_PROF_CBND = 1,
	BNXT_ULP_ACT_PROP_SZ_METER_PROF_EBSM = 1,
	BNXT_ULP_ACT_PROP_SZ_METER_PROF_CBSM = 1,
	BNXT_ULP_ACT_PROP_SZ_METER_PROF_CF = 1,
	BNXT_ULP_ACT_PROP_SZ_METER_INST_ID = 4,
	BNXT_ULP_ACT_PROP_SZ_METER_INST_ECN_RMP_EN_UPDATE = 1,
	BNXT_ULP_ACT_PROP_SZ_METER_INST_ECN_RMP_EN = 1,
	BNXT_ULP_ACT_PROP_SZ_METER_INST_MTR_VAL_UPDATE = 1,
	BNXT_ULP_ACT_PROP_SZ_METER_INST_MTR_VAL = 1,
	BNXT_ULP_ACT_PROP_SZ_GOTO_CHAINID = 2,
	BNXT_ULP_ACT_PROP_SZ_LAST = 4
};

enum bnxt_ulp_act_prop_idx {
	BNXT_ULP_ACT_PROP_IDX_ENCAP_TUN_SZ = 0,
	BNXT_ULP_ACT_PROP_IDX_ENCAP_IP_SZ = 4,
	BNXT_ULP_ACT_PROP_IDX_ENCAP_VTAG_SZ = 8,
	BNXT_ULP_ACT_PROP_IDX_ENCAP_VTAG_TYPE = 12,
	BNXT_ULP_ACT_PROP_IDX_ENCAP_VTAG_NUM = 16,
	BNXT_ULP_ACT_PROP_IDX_ENCAP_L3_TYPE = 20,
	BNXT_ULP_ACT_PROP_IDX_MPLS_POP_NUM = 24,
	BNXT_ULP_ACT_PROP_IDX_MPLS_PUSH_NUM = 28,
	BNXT_ULP_ACT_PROP_IDX_PORT_ID = 32,
	BNXT_ULP_ACT_PROP_IDX_VNIC = 36,
	BNXT_ULP_ACT_PROP_IDX_VPORT = 40,
	BNXT_ULP_ACT_PROP_IDX_MIRR_VNIC = 44,
	BNXT_ULP_ACT_PROP_IDX_MIRR_VPORT = 48,
	BNXT_ULP_ACT_PROP_IDX_MARK = 52,
	BNXT_ULP_ACT_PROP_IDX_COUNT = 56,
	BNXT_ULP_ACT_PROP_IDX_METER = 60,
	BNXT_ULP_ACT_PROP_IDX_SET_MAC_SRC = 64,
	BNXT_ULP_ACT_PROP_IDX_SET_MAC_DST = 70,
	BNXT_ULP_ACT_PROP_IDX_PUSH_VLAN = 76,
	BNXT_ULP_ACT_PROP_IDX_SET_VLAN_PCP = 78,
	BNXT_ULP_ACT_PROP_IDX_SET_VLAN_VID = 79,
	BNXT_ULP_ACT_PROP_IDX_SET_IPV4_SRC = 81,
	BNXT_ULP_ACT_PROP_IDX_SET_IPV4_DST = 85,
	BNXT_ULP_ACT_PROP_IDX_SET_IPV6_SRC = 89,
	BNXT_ULP_ACT_PROP_IDX_SET_IPV6_DST = 105,
	BNXT_ULP_ACT_PROP_IDX_SET_TP_SRC = 121,
	BNXT_ULP_ACT_PROP_IDX_SET_TP_DST = 123,
	BNXT_ULP_ACT_PROP_IDX_OF_PUSH_MPLS_0 = 125,
	BNXT_ULP_ACT_PROP_IDX_OF_PUSH_MPLS_1 = 129,
	BNXT_ULP_ACT_PROP_IDX_OF_PUSH_MPLS_2 = 133,
	BNXT_ULP_ACT_PROP_IDX_OF_PUSH_MPLS_3 = 137,
	BNXT_ULP_ACT_PROP_IDX_OF_PUSH_MPLS_4 = 141,
	BNXT_ULP_ACT_PROP_IDX_OF_PUSH_MPLS_5 = 145,
	BNXT_ULP_ACT_PROP_IDX_OF_PUSH_MPLS_6 = 149,
	BNXT_ULP_ACT_PROP_IDX_OF_PUSH_MPLS_7 = 153,
	BNXT_ULP_ACT_PROP_IDX_ENCAP_L2_DMAC = 157,
	BNXT_ULP_ACT_PROP_IDX_ENCAP_L2_SMAC = 163,
	BNXT_ULP_ACT_PROP_IDX_ENCAP_VTAG = 169,
	BNXT_ULP_ACT_PROP_IDX_ENCAP_IP = 177,
	BNXT_ULP_ACT_PROP_IDX_ENCAP_IP_SRC = 209,
	BNXT_ULP_ACT_PROP_IDX_ENCAP_UDP = 225,
	BNXT_ULP_ACT_PROP_IDX_ENCAP_TUN = 229,
	BNXT_ULP_ACT_PROP_IDX_JUMP = 261,
	BNXT_ULP_ACT_PROP_IDX_SHARED_HANDLE = 265,
	BNXT_ULP_ACT_PROP_IDX_RSS_TYPES = 273,
	BNXT_ULP_ACT_PROP_IDX_RSS_LEVEL = 281,
	BNXT_ULP_ACT_PROP_IDX_RSS_KEY_LEN = 285,
	BNXT_ULP_ACT_PROP_IDX_RSS_KEY = 289,
	BNXT_ULP_ACT_PROP_IDX_RSS_QUEUE_NUM = 329,
	BNXT_ULP_ACT_PROP_IDX_RSS_QUEUE = 331,
	BNXT_ULP_ACT_PROP_IDX_QUEUE_INDEX = 363,
	BNXT_ULP_ACT_PROP_IDX_METER_PROF_ID_UPDATE = 365,
	BNXT_ULP_ACT_PROP_IDX_METER_PROF_ID = 366,
	BNXT_ULP_ACT_PROP_IDX_METER_PROF_CIR = 370,
	BNXT_ULP_ACT_PROP_IDX_METER_PROF_EIR = 373,
	BNXT_ULP_ACT_PROP_IDX_METER_PROF_CBS = 376,
	BNXT_ULP_ACT_PROP_IDX_METER_PROF_EBS = 378,
	BNXT_ULP_ACT_PROP_IDX_METER_PROF_RFC2698 = 380,
	BNXT_ULP_ACT_PROP_IDX_METER_PROF_PM = 381,
	BNXT_ULP_ACT_PROP_IDX_METER_PROF_EBND = 382,
	BNXT_ULP_ACT_PROP_IDX_METER_PROF_CBND = 383,
	BNXT_ULP_ACT_PROP_IDX_METER_PROF_EBSM = 384,
	BNXT_ULP_ACT_PROP_IDX_METER_PROF_CBSM = 385,
	BNXT_ULP_ACT_PROP_IDX_METER_PROF_CF = 386,
	BNXT_ULP_ACT_PROP_IDX_METER_INST_ID = 387,
	BNXT_ULP_ACT_PROP_IDX_METER_INST_ECN_RMP_EN_UPDATE = 391,
	BNXT_ULP_ACT_PROP_IDX_METER_INST_ECN_RMP_EN = 392,
	BNXT_ULP_ACT_PROP_IDX_METER_INST_MTR_VAL_UPDATE = 393,
	BNXT_ULP_ACT_PROP_IDX_METER_INST_MTR_VAL = 394,
	BNXT_ULP_ACT_PROP_IDX_GOTO_CHAINID = 395,
	BNXT_ULP_ACT_PROP_IDX_LAST = 397
};

enum ulp_wp_sym {
	ULP_WP_SYM_METADATA_OP_NORMAL = 0,
	ULP_WP_SYM_METADATA_OP_L2_HASH = 0,
	ULP_WP_SYM_METADATA_OP_L4_HASH = 0,
	ULP_WP_SYM_FWD_OP_BYPASS_CFA = 0,
	ULP_WP_SYM_FWD_OP_BYPASS_CFA_ROCE = 0,
	ULP_WP_SYM_FWD_OP_BYPASS_LKUP = 0,
	ULP_WP_SYM_FWD_OP_NORMAL_FLOW = 0,
	ULP_WP_SYM_CTXT_OPCODE_BYPASS_CFA = 0,
	ULP_WP_SYM_CTXT_OPCODE_BYPASS_LKUP = 0,
	ULP_WP_SYM_CTXT_OPCODE_META_UPDATE = 0,
	ULP_WP_SYM_CTXT_OPCODE_NORMAL_FLOW = 0,
	ULP_WP_SYM_CTXT_OPCODE_DROP = 0,
	ULP_WP_SYM_PKT_TYPE_IGNORE = 0,
	ULP_WP_SYM_PKT_TYPE_L2 = 0,
	ULP_WP_SYM_PKT_TYPE_0_IGNORE = 0,
	ULP_WP_SYM_PKT_TYPE_0_L2 = 0,
	ULP_WP_SYM_PKT_TYPE_1_IGNORE = 0,
	ULP_WP_SYM_PKT_TYPE_1_L2 = 0,
	ULP_WP_SYM_RECYCLE_CNT_IGNORE = 0,
	ULP_WP_SYM_RECYCLE_CNT_ZERO = 0,
	ULP_WP_SYM_RECYCLE_CNT_ONE = 1,
	ULP_WP_SYM_RECYCLE_CNT_TWO = 2,
	ULP_WP_SYM_RECYCLE_CNT_THREE = 3,
	ULP_WP_SYM_AGG_ERROR_IGNORE = 0,
	ULP_WP_SYM_AGG_ERROR_NO = 0,
	ULP_WP_SYM_AGG_ERROR_YES = 1,
	ULP_WP_SYM_RESERVED_IGNORE = 0,
	ULP_WP_SYM_HREC_NEXT_IGNORE = 0,
	ULP_WP_SYM_HREC_NEXT_NO = 0,
	ULP_WP_SYM_HREC_NEXT_YES = 1,
	ULP_WP_SYM_TL2_HDR_VALID_IGNORE = 0,
	ULP_WP_SYM_TL2_HDR_VALID_NO = 0,
	ULP_WP_SYM_TL2_HDR_VALID_YES = 1,
	ULP_WP_SYM_TL2_HDR_TYPE_IGNORE = 0,
	ULP_WP_SYM_TL2_HDR_TYPE_DIX = 0,
	ULP_WP_SYM_TL2_UC_MC_BC_IGNORE = 0,
	ULP_WP_SYM_TL2_UC_MC_BC_UC = 0,
	ULP_WP_SYM_TL2_UC_MC_BC_MC = 2,
	ULP_WP_SYM_TL2_UC_MC_BC_BC = 3,
	ULP_WP_SYM_TL2_VTAG_PRESENT_IGNORE = 0,
	ULP_WP_SYM_TL2_VTAG_PRESENT_NO = 0,
	ULP_WP_SYM_TL2_VTAG_PRESENT_YES = 1,
	ULP_WP_SYM_TL2_TWO_VTAGS_IGNORE = 0,
	ULP_WP_SYM_TL2_TWO_VTAGS_NO = 0,
	ULP_WP_SYM_TL2_TWO_VTAGS_YES = 1,
	ULP_WP_SYM_TL3_HDR_VALID_IGNORE = 0,
	ULP_WP_SYM_TL3_HDR_VALID_NO = 0,
	ULP_WP_SYM_TL3_HDR_VALID_YES = 1,
	ULP_WP_SYM_TL3_HDR_ERROR_IGNORE = 0,
	ULP_WP_SYM_TL3_HDR_ERROR_NO = 0,
	ULP_WP_SYM_TL3_HDR_ERROR_YES = 1,
	ULP_WP_SYM_TL3_HDR_TYPE_IGNORE = 0,
	ULP_WP_SYM_TL3_HDR_TYPE_IPV4 = 0,
	ULP_WP_SYM_TL3_HDR_TYPE_IPV6 = 1,
	ULP_WP_SYM_TL3_HDR_ISIP_IGNORE = 0,
	ULP_WP_SYM_TL3_HDR_ISIP_NO = 0,
	ULP_WP_SYM_TL3_HDR_ISIP_YES = 1,
	ULP_WP_SYM_TL3_IPV6_CMP_SRC_IGNORE = 0,
	ULP_WP_SYM_TL3_IPV6_CMP_SRC_NO = 0,
	ULP_WP_SYM_TL3_IPV6_CMP_SRC_YES = 1,
	ULP_WP_SYM_TL3_IPV6_CMP_DST_IGNORE = 0,
	ULP_WP_SYM_TL3_IPV6_CMP_DST_NO = 0,
	ULP_WP_SYM_TL3_IPV6_CMP_DST_YES = 1,
	ULP_WP_SYM_TL4_HDR_VALID_IGNORE = 0,
	ULP_WP_SYM_TL4_HDR_VALID_NO = 0,
	ULP_WP_SYM_TL4_HDR_VALID_YES = 1,
	ULP_WP_SYM_TL4_HDR_ERROR_IGNORE = 0,
	ULP_WP_SYM_TL4_HDR_ERROR_NO = 0,
	ULP_WP_SYM_TL4_HDR_ERROR_YES = 1,
	ULP_WP_SYM_TL4_HDR_IS_UDP_TCP_IGNORE = 0,
	ULP_WP_SYM_TL4_HDR_IS_UDP_TCP_NO = 0,
	ULP_WP_SYM_TL4_HDR_IS_UDP_TCP_YES = 1,
	ULP_WP_SYM_TL4_HDR_TYPE_IGNORE = 0,
	ULP_WP_SYM_TL4_HDR_TYPE_TCP = 0,
	ULP_WP_SYM_TL4_HDR_TYPE_UDP = 1,
	ULP_WP_SYM_TUN_HDR_VALID_IGNORE = 0,
	ULP_WP_SYM_TUN_HDR_VALID_NO = 0,
	ULP_WP_SYM_TUN_HDR_VALID_YES = 1,
	ULP_WP_SYM_TUN_HDR_ERROR_IGNORE = 0,
	ULP_WP_SYM_TUN_HDR_ERROR_NO = 0,
	ULP_WP_SYM_TUN_HDR_ERROR_YES = 1,
	ULP_WP_SYM_TUN_HDR_TYPE_IGNORE = 0,
	ULP_WP_SYM_TUN_HDR_TYPE_VXLAN = 0,
	ULP_WP_SYM_TUN_HDR_TYPE_GENEVE = 1,
	ULP_WP_SYM_TUN_HDR_TYPE_NVGRE = 2,
	ULP_WP_SYM_TUN_HDR_TYPE_GRE = 3,
	ULP_WP_SYM_TUN_HDR_TYPE_IPV4 = 4,
	ULP_WP_SYM_TUN_HDR_TYPE_IPV6 = 5,
	ULP_WP_SYM_TUN_HDR_TYPE_PPPOE = 6,
	ULP_WP_SYM_TUN_HDR_TYPE_MPLS = 7,
	ULP_WP_SYM_TUN_HDR_TYPE_UPAR1 = 8,
	ULP_WP_SYM_TUN_HDR_TYPE_UPAR2 = 9,
	ULP_WP_SYM_TUN_HDR_TYPE_NONE = 15,
	ULP_WP_SYM_TUN_HDR_FLAGS_IGNORE = 0,
	ULP_WP_SYM_L2_HDR_VALID_IGNORE = 0,
	ULP_WP_SYM_L2_HDR_VALID_NO = 0,
	ULP_WP_SYM_L2_HDR_VALID_YES = 1,
	ULP_WP_SYM_L2_HDR_ERROR_IGNORE = 0,
	ULP_WP_SYM_L2_HDR_ERROR_NO = 0,
	ULP_WP_SYM_L2_HDR_ERROR_YES = 1,
	ULP_WP_SYM_L2_HDR_TYPE_IGNORE = 0,
	ULP_WP_SYM_L2_HDR_TYPE_DIX = 0,
	ULP_WP_SYM_L2_HDR_TYPE_LLC_SNAP = 1,
	ULP_WP_SYM_L2_HDR_TYPE_LLC = 2,
	ULP_WP_SYM_L2_UC_MC_BC_IGNORE = 0,
	ULP_WP_SYM_L2_UC_MC_BC_UC = 0,
	ULP_WP_SYM_L2_UC_MC_BC_MC = 2,
	ULP_WP_SYM_L2_UC_MC_BC_BC = 3,
	ULP_WP_SYM_L2_VTAG_PRESENT_IGNORE = 0,
	ULP_WP_SYM_L2_VTAG_PRESENT_NO = 0,
	ULP_WP_SYM_L2_VTAG_PRESENT_YES = 1,
	ULP_WP_SYM_L2_TWO_VTAGS_IGNORE = 0,
	ULP_WP_SYM_L2_TWO_VTAGS_NO = 0,
	ULP_WP_SYM_L2_TWO_VTAGS_YES = 1,
	ULP_WP_SYM_L3_HDR_VALID_IGNORE = 0,
	ULP_WP_SYM_L3_HDR_VALID_NO = 0,
	ULP_WP_SYM_L3_HDR_VALID_YES = 1,
	ULP_WP_SYM_L3_HDR_ERROR_IGNORE = 0,
	ULP_WP_SYM_L3_HDR_ERROR_NO = 0,
	ULP_WP_SYM_L3_HDR_ERROR_YES = 1,
	ULP_WP_SYM_L3_HDR_TYPE_IGNORE = 0,
	ULP_WP_SYM_L3_HDR_TYPE_IPV4 = 0,
	ULP_WP_SYM_L3_HDR_TYPE_IPV6 = 1,
	ULP_WP_SYM_L3_HDR_TYPE_ARP = 2,
	ULP_WP_SYM_L3_HDR_TYPE_PTP = 3,
	ULP_WP_SYM_L3_HDR_TYPE_EAPOL = 4,
	ULP_WP_SYM_L3_HDR_TYPE_ROCE = 5,
	ULP_WP_SYM_L3_HDR_TYPE_FCOE = 6,
	ULP_WP_SYM_L3_HDR_TYPE_UPAR1 = 7,
	ULP_WP_SYM_L3_HDR_TYPE_UPAR2 = 8,
	ULP_WP_SYM_L3_HDR_ISIP_IGNORE = 0,
	ULP_WP_SYM_L3_HDR_ISIP_NO = 0,
	ULP_WP_SYM_L3_HDR_ISIP_YES = 1,
	ULP_WP_SYM_L3_IPV6_CMP_SRC_IGNORE = 0,
	ULP_WP_SYM_L3_IPV6_CMP_SRC_NO = 0,
	ULP_WP_SYM_L3_IPV6_CMP_SRC_YES = 1,
	ULP_WP_SYM_L3_IPV6_CMP_DST_IGNORE = 0,
	ULP_WP_SYM_L3_IPV6_CMP_DST_NO = 0,
	ULP_WP_SYM_L3_IPV6_CMP_DST_YES = 1,
	ULP_WP_SYM_L4_HDR_VALID_IGNORE = 0,
	ULP_WP_SYM_L4_HDR_VALID_NO = 0,
	ULP_WP_SYM_L4_HDR_VALID_YES = 1,
	ULP_WP_SYM_L4_HDR_ERROR_IGNORE = 0,
	ULP_WP_SYM_L4_HDR_ERROR_NO = 0,
	ULP_WP_SYM_L4_HDR_ERROR_YES = 1,
	ULP_WP_SYM_L4_HDR_TYPE_IGNORE = 0,
	ULP_WP_SYM_L4_HDR_TYPE_TCP = 0,
	ULP_WP_SYM_L4_HDR_TYPE_UDP = 1,
	ULP_WP_SYM_L4_HDR_TYPE_ICMP = 2,
	ULP_WP_SYM_L4_HDR_TYPE_UPAR1 = 3,
	ULP_WP_SYM_L4_HDR_TYPE_UPAR2 = 4,
	ULP_WP_SYM_L4_HDR_TYPE_BTH_V1 = 5,
	ULP_WP_SYM_L4_HDR_IS_UDP_TCP_IGNORE = 0,
	ULP_WP_SYM_L4_HDR_IS_UDP_TCP_NO = 0,
	ULP_WP_SYM_L4_HDR_IS_UDP_TCP_YES = 1,
	ULP_WP_SYM_EM_WM_OPCODE_OP_NORMAL = 0,
	ULP_WP_SYM_EM_WM_OPCODE_OP_RFS_FAST = 0,
	ULP_WP_SYM_EM_WM_OPCODE_OP_FAST = 0,
	ULP_WP_SYM_EM_WM_OPCODE_OP_RFS_ACT = 0,
	ULP_WP_SYM_EM_WM_OPCODE_OP_RECYCLE = 0,
	ULP_WP_SYM_POP_VLAN_NO = 0,
	ULP_WP_SYM_POP_VLAN_YES = 1,
	ULP_WP_SYM_VLAN_DEL_RPT_DISABLED = 0,
	ULP_WP_SYM_VLAN_DEL_RPT_STRIP_OUTER = 0,
	ULP_WP_SYM_VLAN_DEL_RPT_STRIP_BOTH = 0,
	ULP_WP_SYM_VLAN_DEL_RPT_DYN_STRIP = 0,
	ULP_WP_SYM_DECAP_FUNC_NONE = 0,
	ULP_WP_SYM_DECAP_FUNC_THRU_TL2 = 3,
	ULP_WP_SYM_DECAP_FUNC_THRU_TL3 = 8,
	ULP_WP_SYM_DECAP_FUNC_THRU_TL4 = 9,
	ULP_WP_SYM_DECAP_FUNC_THRU_TUN = 10,
	ULP_WP_SYM_DECAP_FUNC_THRU_L2 = 11,
	ULP_WP_SYM_DECAP_FUNC_THRU_L3 = 12,
	ULP_WP_SYM_DECAP_FUNC_THRU_L4 = 13,
	ULP_WP_SYM_ECV_VALID_NO = 0,
	ULP_WP_SYM_ECV_VALID_YES = 1,
	ULP_WP_SYM_ECV_CUSTOM_EN_NO = 0,
	ULP_WP_SYM_ECV_CUSTOM_EN_YES = 1,
	ULP_WP_SYM_ECV_L2_EN_NO = 0,
	ULP_WP_SYM_ECV_L2_EN_YES = 1,
	ULP_WP_SYM_ECV_VTAG_TYPE_NOP = 0,
	ULP_WP_SYM_ECV_VTAG_TYPE_ADD_1_ENCAP_PRI = 1,
	ULP_WP_SYM_ECV_VTAG_TYPE_ADD_1_IVLAN_PRI = 2,
	ULP_WP_SYM_ECV_VTAG_TYPE_ADD_1_REMAP_DIFFSERV = 3,
	ULP_WP_SYM_ECV_VTAG_TYPE_ADD_2_ENCAP_PRI = 4,
	ULP_WP_SYM_ECV_VTAG_TYPE_ADD_2_REMAP_DIFFSERV = 5,
	ULP_WP_SYM_ECV_VTAG_TYPE_ADD_0_ENCAP_PRI = 6,
	ULP_WP_SYM_ECV_VTAG_TYPE_ADD_0_REMAP_DIFFSERV = 7,
	ULP_WP_SYM_ECV_VTAG_TYPE_ADD_0_PRI_0 = 8,
	ULP_WP_SYM_ECV_VTAG_TYPE_ADD_0_PRI_1 = 8,
	ULP_WP_SYM_ECV_VTAG_TYPE_ADD_0_PRI_2 = 8,
	ULP_WP_SYM_ECV_VTAG_TYPE_ADD_0_PRI_3 = 8,
	ULP_WP_SYM_ECV_VTAG_TYPE_ADD_0_PRI_4 = 8,
	ULP_WP_SYM_ECV_VTAG_TYPE_ADD_0_PRI_5 = 8,
	ULP_WP_SYM_ECV_VTAG_TYPE_ADD_0_PRI_6 = 8,
	ULP_WP_SYM_ECV_VTAG_TYPE_ADD_0_PRI_7 = 8,
	ULP_WP_SYM_ECV_L3_TYPE_NONE = 0,
	ULP_WP_SYM_ECV_L3_TYPE_IPV4 = 4,
	ULP_WP_SYM_ECV_L3_TYPE_IPV6 = 5,
	ULP_WP_SYM_ECV_L3_TYPE_MPLS_8847 = 6,
	ULP_WP_SYM_ECV_L3_TYPE_MPLS_8848 = 7,
	ULP_WP_SYM_ECV_L4_TYPE_NONE = 0,
	ULP_WP_SYM_ECV_L4_TYPE_UDP = 4,
	ULP_WP_SYM_ECV_L4_TYPE_UDP_CSUM = 5,
	ULP_WP_SYM_ECV_L4_TYPE_UDP_ENTROPY = 6,
	ULP_WP_SYM_ECV_L4_TYPE_UDP_ENTROPY_CSUM = 7,
	ULP_WP_SYM_ECV_TUN_TYPE_NONE = 0,
	ULP_WP_SYM_ECV_TUN_TYPE_GENERIC = 1,
	ULP_WP_SYM_ECV_TUN_TYPE_VXLAN = 2,
	ULP_WP_SYM_ECV_TUN_TYPE_NGE = 3,
	ULP_WP_SYM_ECV_TUN_TYPE_NVGRE = 4,
	ULP_WP_SYM_ECV_TUN_TYPE_GRE = 5,
	ULP_WP_SYM_EEM_ACT_REC_INT = 1,
	ULP_WP_SYM_EEM_EXT_FLOW_CNTR = 0,
	ULP_WP_SYM_UC_ACT_REC = 0,
	ULP_WP_SYM_MC_ACT_REC = 1,
	ULP_WP_SYM_ACT_REC_DROP_YES = 1,
	ULP_WP_SYM_ACT_REC_DROP_NO = 0,
	ULP_WP_SYM_ACT_REC_POP_VLAN_YES = 1,
	ULP_WP_SYM_ACT_REC_POP_VLAN_NO = 0,
	ULP_WP_SYM_ACT_REC_METER_EN_YES = 1,
	ULP_WP_SYM_ACT_REC_METER_EN_NO = 0,
	ULP_WP_SYM_LOOPBACK_PORT = 4,
	ULP_WP_SYM_LOOPBACK_PARIF = 15,
	ULP_WP_SYM_EXT_EM_MAX_KEY_SIZE = 448,
	ULP_WP_SYM_MATCH_TYPE_EM = 0,
	ULP_WP_SYM_MATCH_TYPE_WM = 1,
	ULP_WP_SYM_IP_PROTO_ICMP = 1,
	ULP_WP_SYM_IP_PROTO_IGMP = 2,
	ULP_WP_SYM_IP_PROTO_IP_IN_IP = 4,
	ULP_WP_SYM_IP_PROTO_TCP = 6,
	ULP_WP_SYM_IP_PROTO_UDP = 17,
	ULP_WP_SYM_VF_FUNC_PARIF = 15,
	ULP_WP_SYM_NO = 0,
	ULP_WP_SYM_YES = 1,
	ULP_WP_SYM_RECYCLE_DST = 0x800,
	ULP_WP_SYM_VF_2_VFR_META_VAL = 0,
	ULP_WP_SYM_VF_2_VF_META_VAL = 0,
	ULP_WP_SYM_VF_2_VFR_META_MASK = 0,
	ULP_WP_SYM_META_PROFILE_0 = 0,
	ULP_WP_SYM_CHAIN_META_VAL = 0,
	ULP_WP_SYM_L2_ECPRI_ETYPE = 0,
	ULP_WP_SYM_L4_ECPRI_ETYPE = 0,
	ULP_WP_SYM_L2_ROE_ETYPE = 0
};

enum ulp_thor_sym {
	ULP_THOR_SYM_METADATA_OP_NORMAL = 0,
	ULP_THOR_SYM_METADATA_OP_L2_HASH = 1,
	ULP_THOR_SYM_METADATA_OP_L4_HASH = 2,
	ULP_THOR_SYM_FWD_OP_BYPASS_CFA = 0,
	ULP_THOR_SYM_FWD_OP_BYPASS_CFA_ROCE = 1,
	ULP_THOR_SYM_FWD_OP_BYPASS_LKUP = 2,
	ULP_THOR_SYM_FWD_OP_NORMAL_FLOW = 3,
	ULP_THOR_SYM_CTXT_OPCODE_BYPASS_CFA = 0,
	ULP_THOR_SYM_CTXT_OPCODE_BYPASS_LKUP = 1,
	ULP_THOR_SYM_CTXT_OPCODE_META_UPDATE = 2,
	ULP_THOR_SYM_CTXT_OPCODE_NORMAL_FLOW = 3,
	ULP_THOR_SYM_CTXT_OPCODE_DROP = 4,
	ULP_THOR_SYM_PKT_TYPE_IGNORE = 0,
	ULP_THOR_SYM_PKT_TYPE_L2 = 0,
	ULP_THOR_SYM_PKT_TYPE_0_IGNORE = 0,
	ULP_THOR_SYM_PKT_TYPE_0_L2 = 0,
	ULP_THOR_SYM_PKT_TYPE_1_IGNORE = 0,
	ULP_THOR_SYM_PKT_TYPE_1_L2 = 0,
	ULP_THOR_SYM_RECYCLE_CNT_IGNORE = 0,
	ULP_THOR_SYM_RECYCLE_CNT_ZERO = 0,
	ULP_THOR_SYM_RECYCLE_CNT_ONE = 1,
	ULP_THOR_SYM_RECYCLE_CNT_TWO = 2,
	ULP_THOR_SYM_RECYCLE_CNT_THREE = 3,
	ULP_THOR_SYM_AGG_ERROR_IGNORE = 0,
	ULP_THOR_SYM_AGG_ERROR_NO = 0,
	ULP_THOR_SYM_AGG_ERROR_YES = 1,
	ULP_THOR_SYM_RESERVED_IGNORE = 0,
	ULP_THOR_SYM_HREC_NEXT_IGNORE = 0,
	ULP_THOR_SYM_HREC_NEXT_NO = 0,
	ULP_THOR_SYM_HREC_NEXT_YES = 1,
	ULP_THOR_SYM_TL2_HDR_VALID_IGNORE = 0,
	ULP_THOR_SYM_TL2_HDR_VALID_NO = 0,
	ULP_THOR_SYM_TL2_HDR_VALID_YES = 1,
	ULP_THOR_SYM_TL2_HDR_TYPE_IGNORE = 0,
	ULP_THOR_SYM_TL2_HDR_TYPE_DIX = 0,
	ULP_THOR_SYM_TL2_UC_MC_BC_IGNORE = 0,
	ULP_THOR_SYM_TL2_UC_MC_BC_UC = 0,
	ULP_THOR_SYM_TL2_UC_MC_BC_MC = 2,
	ULP_THOR_SYM_TL2_UC_MC_BC_BC = 3,
	ULP_THOR_SYM_TL2_VTAG_PRESENT_IGNORE = 0,
	ULP_THOR_SYM_TL2_VTAG_PRESENT_NO = 0,
	ULP_THOR_SYM_TL2_VTAG_PRESENT_YES = 1,
	ULP_THOR_SYM_TL2_TWO_VTAGS_IGNORE = 0,
	ULP_THOR_SYM_TL2_TWO_VTAGS_NO = 0,
	ULP_THOR_SYM_TL2_TWO_VTAGS_YES = 1,
	ULP_THOR_SYM_TL3_HDR_VALID_IGNORE = 0,
	ULP_THOR_SYM_TL3_HDR_VALID_NO = 0,
	ULP_THOR_SYM_TL3_HDR_VALID_YES = 1,
	ULP_THOR_SYM_TL3_HDR_ERROR_IGNORE = 0,
	ULP_THOR_SYM_TL3_HDR_ERROR_NO = 0,
	ULP_THOR_SYM_TL3_HDR_ERROR_YES = 1,
	ULP_THOR_SYM_TL3_HDR_TYPE_IGNORE = 0,
	ULP_THOR_SYM_TL3_HDR_TYPE_IPV4 = 0,
	ULP_THOR_SYM_TL3_HDR_TYPE_IPV6 = 1,
	ULP_THOR_SYM_TL3_HDR_ISIP_IGNORE = 0,
	ULP_THOR_SYM_TL3_HDR_ISIP_NO = 0,
	ULP_THOR_SYM_TL3_HDR_ISIP_YES = 1,
	ULP_THOR_SYM_TL3_IPV6_CMP_SRC_IGNORE = 0,
	ULP_THOR_SYM_TL3_IPV6_CMP_SRC_NO = 0,
	ULP_THOR_SYM_TL3_IPV6_CMP_SRC_YES = 1,
	ULP_THOR_SYM_TL3_IPV6_CMP_DST_IGNORE = 0,
	ULP_THOR_SYM_TL3_IPV6_CMP_DST_NO = 0,
	ULP_THOR_SYM_TL3_IPV6_CMP_DST_YES = 1,
	ULP_THOR_SYM_TL4_HDR_VALID_IGNORE = 0,
	ULP_THOR_SYM_TL4_HDR_VALID_NO = 0,
	ULP_THOR_SYM_TL4_HDR_VALID_YES = 1,
	ULP_THOR_SYM_TL4_HDR_ERROR_IGNORE = 0,
	ULP_THOR_SYM_TL4_HDR_ERROR_NO = 0,
	ULP_THOR_SYM_TL4_HDR_ERROR_YES = 1,
	ULP_THOR_SYM_TL4_HDR_IS_UDP_TCP_IGNORE = 0,
	ULP_THOR_SYM_TL4_HDR_IS_UDP_TCP_NO = 0,
	ULP_THOR_SYM_TL4_HDR_IS_UDP_TCP_YES = 1,
	ULP_THOR_SYM_TL4_HDR_TYPE_IGNORE = 0,
	ULP_THOR_SYM_TL4_HDR_TYPE_TCP = 0,
	ULP_THOR_SYM_TL4_HDR_TYPE_UDP = 1,
	ULP_THOR_SYM_TUN_HDR_VALID_IGNORE = 0,
	ULP_THOR_SYM_TUN_HDR_VALID_NO = 0,
	ULP_THOR_SYM_TUN_HDR_VALID_YES = 1,
	ULP_THOR_SYM_TUN_HDR_ERROR_IGNORE = 0,
	ULP_THOR_SYM_TUN_HDR_ERROR_NO = 0,
	ULP_THOR_SYM_TUN_HDR_ERROR_YES = 1,
	ULP_THOR_SYM_TUN_HDR_TYPE_IGNORE = 0,
	ULP_THOR_SYM_TUN_HDR_TYPE_VXLAN = 0,
	ULP_THOR_SYM_TUN_HDR_TYPE_GENEVE = 1,
	ULP_THOR_SYM_TUN_HDR_TYPE_NVGRE = 2,
	ULP_THOR_SYM_TUN_HDR_TYPE_GRE = 3,
	ULP_THOR_SYM_TUN_HDR_TYPE_IPV4 = 4,
	ULP_THOR_SYM_TUN_HDR_TYPE_IPV6 = 5,
	ULP_THOR_SYM_TUN_HDR_TYPE_PPPOE = 6,
	ULP_THOR_SYM_TUN_HDR_TYPE_MPLS = 7,
	ULP_THOR_SYM_TUN_HDR_TYPE_UPAR1 = 8,
	ULP_THOR_SYM_TUN_HDR_TYPE_UPAR2 = 9,
	ULP_THOR_SYM_TUN_HDR_TYPE_NONE = 15,
	ULP_THOR_SYM_TUN_HDR_FLAGS_IGNORE = 0,
	ULP_THOR_SYM_L2_HDR_VALID_IGNORE = 0,
	ULP_THOR_SYM_L2_HDR_VALID_NO = 0,
	ULP_THOR_SYM_L2_HDR_VALID_YES = 1,
	ULP_THOR_SYM_L2_HDR_ERROR_IGNORE = 0,
	ULP_THOR_SYM_L2_HDR_ERROR_NO = 0,
	ULP_THOR_SYM_L2_HDR_ERROR_YES = 1,
	ULP_THOR_SYM_L2_HDR_TYPE_IGNORE = 0,
	ULP_THOR_SYM_L2_HDR_TYPE_DIX = 0,
	ULP_THOR_SYM_L2_HDR_TYPE_LLC_SNAP = 1,
	ULP_THOR_SYM_L2_HDR_TYPE_LLC = 2,
	ULP_THOR_SYM_L2_UC_MC_BC_IGNORE = 0,
	ULP_THOR_SYM_L2_UC_MC_BC_UC = 0,
	ULP_THOR_SYM_L2_UC_MC_BC_MC = 2,
	ULP_THOR_SYM_L2_UC_MC_BC_BC = 3,
	ULP_THOR_SYM_L2_VTAG_PRESENT_IGNORE = 0,
	ULP_THOR_SYM_L2_VTAG_PRESENT_NO = 0,
	ULP_THOR_SYM_L2_VTAG_PRESENT_YES = 1,
	ULP_THOR_SYM_L2_TWO_VTAGS_IGNORE = 0,
	ULP_THOR_SYM_L2_TWO_VTAGS_NO = 0,
	ULP_THOR_SYM_L2_TWO_VTAGS_YES = 1,
	ULP_THOR_SYM_L3_HDR_VALID_IGNORE = 0,
	ULP_THOR_SYM_L3_HDR_VALID_NO = 0,
	ULP_THOR_SYM_L3_HDR_VALID_YES = 1,
	ULP_THOR_SYM_L3_HDR_ERROR_IGNORE = 0,
	ULP_THOR_SYM_L3_HDR_ERROR_NO = 0,
	ULP_THOR_SYM_L3_HDR_ERROR_YES = 1,
	ULP_THOR_SYM_L3_HDR_TYPE_IGNORE = 0,
	ULP_THOR_SYM_L3_HDR_TYPE_IPV4 = 0,
	ULP_THOR_SYM_L3_HDR_TYPE_IPV6 = 1,
	ULP_THOR_SYM_L3_HDR_TYPE_ARP = 2,
	ULP_THOR_SYM_L3_HDR_TYPE_PTP = 3,
	ULP_THOR_SYM_L3_HDR_TYPE_EAPOL = 4,
	ULP_THOR_SYM_L3_HDR_TYPE_ROCE = 5,
	ULP_THOR_SYM_L3_HDR_TYPE_FCOE = 6,
	ULP_THOR_SYM_L3_HDR_TYPE_UPAR1 = 7,
	ULP_THOR_SYM_L3_HDR_TYPE_UPAR2 = 8,
	ULP_THOR_SYM_L3_HDR_ISIP_IGNORE = 0,
	ULP_THOR_SYM_L3_HDR_ISIP_NO = 0,
	ULP_THOR_SYM_L3_HDR_ISIP_YES = 1,
	ULP_THOR_SYM_L3_IPV6_CMP_SRC_IGNORE = 0,
	ULP_THOR_SYM_L3_IPV6_CMP_SRC_NO = 0,
	ULP_THOR_SYM_L3_IPV6_CMP_SRC_YES = 1,
	ULP_THOR_SYM_L3_IPV6_CMP_DST_IGNORE = 0,
	ULP_THOR_SYM_L3_IPV6_CMP_DST_NO = 0,
	ULP_THOR_SYM_L3_IPV6_CMP_DST_YES = 1,
	ULP_THOR_SYM_L4_HDR_VALID_IGNORE = 0,
	ULP_THOR_SYM_L4_HDR_VALID_NO = 0,
	ULP_THOR_SYM_L4_HDR_VALID_YES = 1,
	ULP_THOR_SYM_L4_HDR_ERROR_IGNORE = 0,
	ULP_THOR_SYM_L4_HDR_ERROR_NO = 0,
	ULP_THOR_SYM_L4_HDR_ERROR_YES = 1,
	ULP_THOR_SYM_L4_HDR_TYPE_IGNORE = 0,
	ULP_THOR_SYM_L4_HDR_TYPE_TCP = 0,
	ULP_THOR_SYM_L4_HDR_TYPE_UDP = 1,
	ULP_THOR_SYM_L4_HDR_TYPE_ICMP = 2,
	ULP_THOR_SYM_L4_HDR_TYPE_UPAR1 = 3,
	ULP_THOR_SYM_L4_HDR_TYPE_UPAR2 = 4,
	ULP_THOR_SYM_L4_HDR_TYPE_BTH_V1 = 5,
	ULP_THOR_SYM_L4_HDR_IS_UDP_TCP_IGNORE = 0,
	ULP_THOR_SYM_L4_HDR_IS_UDP_TCP_NO = 0,
	ULP_THOR_SYM_L4_HDR_IS_UDP_TCP_YES = 1,
	ULP_THOR_SYM_EM_WM_OPCODE_OP_NORMAL = 0,
	ULP_THOR_SYM_EM_WM_OPCODE_OP_RFS_FAST = 1,
	ULP_THOR_SYM_EM_WM_OPCODE_OP_FAST = 2,
	ULP_THOR_SYM_EM_WM_OPCODE_OP_RFS_ACT = 3,
	ULP_THOR_SYM_EM_WM_OPCODE_OP_RECYCLE = 4,
	ULP_THOR_SYM_POP_VLAN_NO = 0,
	ULP_THOR_SYM_POP_VLAN_YES = 1,
	ULP_THOR_SYM_VLAN_DEL_RPT_DISABLED = 0,
	ULP_THOR_SYM_VLAN_DEL_RPT_STRIP_OUTER = 1,
	ULP_THOR_SYM_VLAN_DEL_RPT_STRIP_BOTH = 2,
	ULP_THOR_SYM_VLAN_DEL_RPT_DYN_STRIP = 3,
	ULP_THOR_SYM_DECAP_FUNC_NONE = 0,
	ULP_THOR_SYM_DECAP_FUNC_THRU_TL2 = 3,
	ULP_THOR_SYM_DECAP_FUNC_THRU_TL3 = 8,
	ULP_THOR_SYM_DECAP_FUNC_THRU_TL4 = 9,
	ULP_THOR_SYM_DECAP_FUNC_THRU_TUN = 10,
	ULP_THOR_SYM_DECAP_FUNC_THRU_L2 = 11,
	ULP_THOR_SYM_DECAP_FUNC_THRU_L3 = 12,
	ULP_THOR_SYM_DECAP_FUNC_THRU_L4 = 13,
	ULP_THOR_SYM_ECV_VALID_NO = 0,
	ULP_THOR_SYM_ECV_VALID_YES = 1,
	ULP_THOR_SYM_ECV_CUSTOM_EN_NO = 0,
	ULP_THOR_SYM_ECV_CUSTOM_EN_YES = 1,
	ULP_THOR_SYM_ECV_L2_EN_NO = 0,
	ULP_THOR_SYM_ECV_L2_EN_YES = 1,
	ULP_THOR_SYM_ECV_VTAG_TYPE_NOP = 0,
	ULP_THOR_SYM_ECV_VTAG_TYPE_ADD_1_ENCAP_PRI = 1,
	ULP_THOR_SYM_ECV_VTAG_TYPE_ADD_1_IVLAN_PRI = 2,
	ULP_THOR_SYM_ECV_VTAG_TYPE_ADD_1_REMAP_DIFFSERV = 3,
	ULP_THOR_SYM_ECV_VTAG_TYPE_ADD_2_ENCAP_PRI = 4,
	ULP_THOR_SYM_ECV_VTAG_TYPE_ADD_2_REMAP_DIFFSERV = 5,
	ULP_THOR_SYM_ECV_VTAG_TYPE_ADD_0_ENCAP_PRI = 6,
	ULP_THOR_SYM_ECV_VTAG_TYPE_ADD_0_REMAP_DIFFSERV = 7,
	ULP_THOR_SYM_ECV_VTAG_TYPE_ADD_0_PRI_0 = 8,
	ULP_THOR_SYM_ECV_VTAG_TYPE_ADD_0_PRI_1 = 8,
	ULP_THOR_SYM_ECV_VTAG_TYPE_ADD_0_PRI_2 = 8,
	ULP_THOR_SYM_ECV_VTAG_TYPE_ADD_0_PRI_3 = 8,
	ULP_THOR_SYM_ECV_VTAG_TYPE_ADD_0_PRI_4 = 8,
	ULP_THOR_SYM_ECV_VTAG_TYPE_ADD_0_PRI_5 = 8,
	ULP_THOR_SYM_ECV_VTAG_TYPE_ADD_0_PRI_6 = 8,
	ULP_THOR_SYM_ECV_VTAG_TYPE_ADD_0_PRI_7 = 8,
	ULP_THOR_SYM_ECV_L3_TYPE_NONE = 0,
	ULP_THOR_SYM_ECV_L3_TYPE_IPV4 = 4,
	ULP_THOR_SYM_ECV_L3_TYPE_IPV6 = 5,
	ULP_THOR_SYM_ECV_L3_TYPE_MPLS_8847 = 6,
	ULP_THOR_SYM_ECV_L3_TYPE_MPLS_8848 = 7,
	ULP_THOR_SYM_ECV_L4_TYPE_NONE = 0,
	ULP_THOR_SYM_ECV_L4_TYPE_UDP = 4,
	ULP_THOR_SYM_ECV_L4_TYPE_UDP_CSUM = 5,
	ULP_THOR_SYM_ECV_L4_TYPE_UDP_ENTROPY = 6,
	ULP_THOR_SYM_ECV_L4_TYPE_UDP_ENTROPY_CSUM = 7,
	ULP_THOR_SYM_ECV_TUN_TYPE_NONE = 0,
	ULP_THOR_SYM_ECV_TUN_TYPE_GENERIC = 1,
	ULP_THOR_SYM_ECV_TUN_TYPE_VXLAN = 2,
	ULP_THOR_SYM_ECV_TUN_TYPE_NGE = 3,
	ULP_THOR_SYM_ECV_TUN_TYPE_NVGRE = 4,
	ULP_THOR_SYM_ECV_TUN_TYPE_GRE = 5,
	ULP_THOR_SYM_EEM_ACT_REC_INT = 0,
	ULP_THOR_SYM_EEM_EXT_FLOW_CNTR = 0,
	ULP_THOR_SYM_UC_ACT_REC = 0,
	ULP_THOR_SYM_MC_ACT_REC = 1,
	ULP_THOR_SYM_ACT_REC_DROP_YES = 1,
	ULP_THOR_SYM_ACT_REC_DROP_NO = 0,
	ULP_THOR_SYM_ACT_REC_POP_VLAN_YES = 1,
	ULP_THOR_SYM_ACT_REC_POP_VLAN_NO = 0,
	ULP_THOR_SYM_ACT_REC_METER_EN_YES = 1,
	ULP_THOR_SYM_ACT_REC_METER_EN_NO = 0,
	ULP_THOR_SYM_LOOPBACK_PORT = 16,
	ULP_THOR_SYM_LOOPBACK_PARIF = 15,
	ULP_THOR_SYM_EXT_EM_MAX_KEY_SIZE = 0,
	ULP_THOR_SYM_MATCH_TYPE_EM = 0,
	ULP_THOR_SYM_MATCH_TYPE_WM = 1,
	ULP_THOR_SYM_IP_PROTO_ICMP = 1,
	ULP_THOR_SYM_IP_PROTO_IGMP = 2,
	ULP_THOR_SYM_IP_PROTO_IP_IN_IP = 4,
	ULP_THOR_SYM_IP_PROTO_TCP = 6,
	ULP_THOR_SYM_IP_PROTO_UDP = 17,
	ULP_THOR_SYM_VF_FUNC_PARIF = 15,
	ULP_THOR_SYM_NO = 0,
	ULP_THOR_SYM_YES = 1,
	ULP_THOR_SYM_RECYCLE_DST = 1039,
	ULP_THOR_SYM_VF_2_VFR_META_VAL = 8192,
	ULP_THOR_SYM_VF_2_VF_META_VAL = 4096,
	ULP_THOR_SYM_VF_2_VFR_META_MASK = 61440,
	ULP_THOR_SYM_META_PROFILE_0 = 0,
	ULP_THOR_SYM_CHAIN_META_VAL = 12288,
	ULP_THOR_SYM_L2_ECPRI_ETYPE = 44798,
	ULP_THOR_SYM_L4_ECPRI_ETYPE = 2048,
	ULP_THOR_SYM_L2_ROE_ETYPE = 64573
};

enum bnxt_ulp_act_hid {
	BNXT_ULP_ACT_HID_0000 = 0x0000,
	BNXT_ULP_ACT_HID_0008 = 0x0008,
	BNXT_ULP_ACT_HID_2000 = 0x2000,
	BNXT_ULP_ACT_HID_1988 = 0x1988,
	BNXT_ULP_ACT_HID_0080 = 0x0080,
	BNXT_ULP_ACT_HID_3988 = 0x3988,
	BNXT_ULP_ACT_HID_1a08 = 0x1a08,
	BNXT_ULP_ACT_HID_0010 = 0x0010,
	BNXT_ULP_ACT_HID_0040 = 0x0040,
	BNXT_ULP_ACT_HID_28e8 = 0x28e8,
	BNXT_ULP_ACT_HID_0050 = 0x0050,
	BNXT_ULP_ACT_HID_0018 = 0x0018,
	BNXT_ULP_ACT_HID_2010 = 0x2010,
	BNXT_ULP_ACT_HID_1998 = 0x1998,
	BNXT_ULP_ACT_HID_0090 = 0x0090,
	BNXT_ULP_ACT_HID_28f8 = 0x28f8,
	BNXT_ULP_ACT_HID_3998 = 0x3998,
	BNXT_ULP_ACT_HID_1a18 = 0x1a18,
	BNXT_ULP_ACT_HID_32ea = 0x32ea,
	BNXT_ULP_ACT_HID_32f2 = 0x32f2,
	BNXT_ULP_ACT_HID_52ea = 0x52ea,
	BNXT_ULP_ACT_HID_4c72 = 0x4c72,
	BNXT_ULP_ACT_HID_336a = 0x336a,
	BNXT_ULP_ACT_HID_5bd2 = 0x5bd2,
	BNXT_ULP_ACT_HID_6c72 = 0x6c72,
	BNXT_ULP_ACT_HID_4cf2 = 0x4cf2,
	BNXT_ULP_ACT_HID_32fa = 0x32fa,
	BNXT_ULP_ACT_HID_3302 = 0x3302,
	BNXT_ULP_ACT_HID_52fa = 0x52fa,
	BNXT_ULP_ACT_HID_4c82 = 0x4c82,
	BNXT_ULP_ACT_HID_337a = 0x337a,
	BNXT_ULP_ACT_HID_5be2 = 0x5be2,
	BNXT_ULP_ACT_HID_6c82 = 0x6c82,
	BNXT_ULP_ACT_HID_4d02 = 0x4d02,
	BNXT_ULP_ACT_HID_0808 = 0x0808,
	BNXT_ULP_ACT_HID_1008 = 0x1008,
	BNXT_ULP_ACT_HID_1808 = 0x1808,
	BNXT_ULP_ACT_HID_0818 = 0x0818,
	BNXT_ULP_ACT_HID_1018 = 0x1018,
	BNXT_ULP_ACT_HID_1818 = 0x1818,
	BNXT_ULP_ACT_HID_0880 = 0x0880,
	BNXT_ULP_ACT_HID_1080 = 0x1080,
	BNXT_ULP_ACT_HID_1880 = 0x1880,
	BNXT_ULP_ACT_HID_0890 = 0x0890,
	BNXT_ULP_ACT_HID_1090 = 0x1090,
	BNXT_ULP_ACT_HID_1890 = 0x1890,
	BNXT_ULP_ACT_HID_3af2 = 0x3af2,
	BNXT_ULP_ACT_HID_42f2 = 0x42f2,
	BNXT_ULP_ACT_HID_4af2 = 0x4af2,
	BNXT_ULP_ACT_HID_3b02 = 0x3b02,
	BNXT_ULP_ACT_HID_4302 = 0x4302,
	BNXT_ULP_ACT_HID_4b02 = 0x4b02,
	BNXT_ULP_ACT_HID_3b6a = 0x3b6a,
	BNXT_ULP_ACT_HID_436a = 0x436a,
	BNXT_ULP_ACT_HID_4b6a = 0x4b6a,
	BNXT_ULP_ACT_HID_3b7a = 0x3b7a,
	BNXT_ULP_ACT_HID_437a = 0x437a,
	BNXT_ULP_ACT_HID_4b7a = 0x4b7a,
	BNXT_ULP_ACT_HID_640d = 0x640d,
	BNXT_ULP_ACT_HID_641d = 0x641d,
	BNXT_ULP_ACT_HID_071a = 0x071a,
	BNXT_ULP_ACT_HID_0800 = 0x0800,
	BNXT_ULP_ACT_HID_1000 = 0x1000,
	BNXT_ULP_ACT_HID_1800 = 0x1800,
	BNXT_ULP_ACT_HID_0810 = 0x0810,
	BNXT_ULP_ACT_HID_1010 = 0x1010,
	BNXT_ULP_ACT_HID_1810 = 0x1810,
	BNXT_ULP_ACT_HID_1110 = 0x1110,
	BNXT_ULP_ACT_HID_4420 = 0x4420,
	BNXT_ULP_ACT_HID_2220 = 0x2220,
	BNXT_ULP_ACT_HID_0c84 = 0x0c84,
	BNXT_ULP_ACT_HID_3f94 = 0x3f94,
	BNXT_ULP_ACT_HID_3330 = 0x3330,
	BNXT_ULP_ACT_HID_50a4 = 0x50a4,
	BNXT_ULP_ACT_HID_1910 = 0x1910,
	BNXT_ULP_ACT_HID_4c20 = 0x4c20,
	BNXT_ULP_ACT_HID_2a20 = 0x2a20,
	BNXT_ULP_ACT_HID_1484 = 0x1484,
	BNXT_ULP_ACT_HID_4794 = 0x4794,
	BNXT_ULP_ACT_HID_3b30 = 0x3b30,
	BNXT_ULP_ACT_HID_58a4 = 0x58a4,
	BNXT_ULP_ACT_HID_2110 = 0x2110,
	BNXT_ULP_ACT_HID_5420 = 0x5420,
	BNXT_ULP_ACT_HID_3220 = 0x3220,
	BNXT_ULP_ACT_HID_1c84 = 0x1c84,
	BNXT_ULP_ACT_HID_4f94 = 0x4f94,
	BNXT_ULP_ACT_HID_4330 = 0x4330,
	BNXT_ULP_ACT_HID_60a4 = 0x60a4,
	BNXT_ULP_ACT_HID_2910 = 0x2910,
	BNXT_ULP_ACT_HID_5c20 = 0x5c20,
	BNXT_ULP_ACT_HID_3a20 = 0x3a20,
	BNXT_ULP_ACT_HID_2484 = 0x2484,
	BNXT_ULP_ACT_HID_5794 = 0x5794,
	BNXT_ULP_ACT_HID_4b30 = 0x4b30,
	BNXT_ULP_ACT_HID_68a4 = 0x68a4,
	BNXT_ULP_ACT_HID_1120 = 0x1120,
	BNXT_ULP_ACT_HID_4430 = 0x4430,
	BNXT_ULP_ACT_HID_2230 = 0x2230,
	BNXT_ULP_ACT_HID_0c94 = 0x0c94,
	BNXT_ULP_ACT_HID_3fa4 = 0x3fa4,
	BNXT_ULP_ACT_HID_3340 = 0x3340,
	BNXT_ULP_ACT_HID_50b4 = 0x50b4,
	BNXT_ULP_ACT_HID_1920 = 0x1920,
	BNXT_ULP_ACT_HID_4c30 = 0x4c30,
	BNXT_ULP_ACT_HID_2a30 = 0x2a30,
	BNXT_ULP_ACT_HID_1494 = 0x1494,
	BNXT_ULP_ACT_HID_47a4 = 0x47a4,
	BNXT_ULP_ACT_HID_3b40 = 0x3b40,
	BNXT_ULP_ACT_HID_58b4 = 0x58b4,
	BNXT_ULP_ACT_HID_2120 = 0x2120,
	BNXT_ULP_ACT_HID_5430 = 0x5430,
	BNXT_ULP_ACT_HID_3230 = 0x3230,
	BNXT_ULP_ACT_HID_1c94 = 0x1c94,
	BNXT_ULP_ACT_HID_4fa4 = 0x4fa4,
	BNXT_ULP_ACT_HID_4340 = 0x4340,
	BNXT_ULP_ACT_HID_60b4 = 0x60b4,
	BNXT_ULP_ACT_HID_2920 = 0x2920,
	BNXT_ULP_ACT_HID_5c30 = 0x5c30,
	BNXT_ULP_ACT_HID_3a30 = 0x3a30,
	BNXT_ULP_ACT_HID_2494 = 0x2494,
	BNXT_ULP_ACT_HID_57a4 = 0x57a4,
	BNXT_ULP_ACT_HID_4b40 = 0x4b40,
	BNXT_ULP_ACT_HID_68b4 = 0x68b4,
	BNXT_ULP_ACT_HID_2a98 = 0x2a98,
	BNXT_ULP_ACT_HID_5da8 = 0x5da8,
	BNXT_ULP_ACT_HID_3ba8 = 0x3ba8,
	BNXT_ULP_ACT_HID_260c = 0x260c,
	BNXT_ULP_ACT_HID_591c = 0x591c,
	BNXT_ULP_ACT_HID_6a2c = 0x6a2c,
	BNXT_ULP_ACT_HID_2aa8 = 0x2aa8,
	BNXT_ULP_ACT_HID_5db8 = 0x5db8,
	BNXT_ULP_ACT_HID_3bb8 = 0x3bb8,
	BNXT_ULP_ACT_HID_261c = 0x261c,
	BNXT_ULP_ACT_HID_592c = 0x592c,
	BNXT_ULP_ACT_HID_6a3c = 0x6a3c,
	BNXT_ULP_ACT_HID_3298 = 0x3298,
	BNXT_ULP_ACT_HID_65a8 = 0x65a8,
	BNXT_ULP_ACT_HID_43a8 = 0x43a8,
	BNXT_ULP_ACT_HID_2e0c = 0x2e0c,
	BNXT_ULP_ACT_HID_611c = 0x611c,
	BNXT_ULP_ACT_HID_722c = 0x722c,
	BNXT_ULP_ACT_HID_32a8 = 0x32a8,
	BNXT_ULP_ACT_HID_65b8 = 0x65b8,
	BNXT_ULP_ACT_HID_43b8 = 0x43b8,
	BNXT_ULP_ACT_HID_2e1c = 0x2e1c,
	BNXT_ULP_ACT_HID_612c = 0x612c,
	BNXT_ULP_ACT_HID_723c = 0x723c,
	BNXT_ULP_ACT_HID_3a98 = 0x3a98,
	BNXT_ULP_ACT_HID_6da8 = 0x6da8,
	BNXT_ULP_ACT_HID_4ba8 = 0x4ba8,
	BNXT_ULP_ACT_HID_360c = 0x360c,
	BNXT_ULP_ACT_HID_691c = 0x691c,
	BNXT_ULP_ACT_HID_7a2c = 0x7a2c,
	BNXT_ULP_ACT_HID_3aa8 = 0x3aa8,
	BNXT_ULP_ACT_HID_6db8 = 0x6db8,
	BNXT_ULP_ACT_HID_4bb8 = 0x4bb8,
	BNXT_ULP_ACT_HID_361c = 0x361c,
	BNXT_ULP_ACT_HID_692c = 0x692c,
	BNXT_ULP_ACT_HID_7a3c = 0x7a3c,
	BNXT_ULP_ACT_HID_4298 = 0x4298,
	BNXT_ULP_ACT_HID_75a8 = 0x75a8,
	BNXT_ULP_ACT_HID_53a8 = 0x53a8,
	BNXT_ULP_ACT_HID_3e0c = 0x3e0c,
	BNXT_ULP_ACT_HID_711c = 0x711c,
	BNXT_ULP_ACT_HID_0670 = 0x0670,
	BNXT_ULP_ACT_HID_42a8 = 0x42a8,
	BNXT_ULP_ACT_HID_75b8 = 0x75b8,
	BNXT_ULP_ACT_HID_53b8 = 0x53b8,
	BNXT_ULP_ACT_HID_3e1c = 0x3e1c,
	BNXT_ULP_ACT_HID_712c = 0x712c,
	BNXT_ULP_ACT_HID_0680 = 0x0680,
	BNXT_ULP_ACT_HID_3aea = 0x3aea,
	BNXT_ULP_ACT_HID_42ea = 0x42ea,
	BNXT_ULP_ACT_HID_4aea = 0x4aea,
	BNXT_ULP_ACT_HID_3afa = 0x3afa,
	BNXT_ULP_ACT_HID_42fa = 0x42fa,
	BNXT_ULP_ACT_HID_4afa = 0x4afa,
	BNXT_ULP_ACT_HID_43fa = 0x43fa,
	BNXT_ULP_ACT_HID_770a = 0x770a,
	BNXT_ULP_ACT_HID_550a = 0x550a,
	BNXT_ULP_ACT_HID_3f6e = 0x3f6e,
	BNXT_ULP_ACT_HID_727e = 0x727e,
	BNXT_ULP_ACT_HID_661a = 0x661a,
	BNXT_ULP_ACT_HID_07d2 = 0x07d2,
	BNXT_ULP_ACT_HID_4bfa = 0x4bfa,
	BNXT_ULP_ACT_HID_034e = 0x034e,
	BNXT_ULP_ACT_HID_5d0a = 0x5d0a,
	BNXT_ULP_ACT_HID_476e = 0x476e,
	BNXT_ULP_ACT_HID_7a7e = 0x7a7e,
	BNXT_ULP_ACT_HID_6e1a = 0x6e1a,
	BNXT_ULP_ACT_HID_0fd2 = 0x0fd2,
	BNXT_ULP_ACT_HID_53fa = 0x53fa,
	BNXT_ULP_ACT_HID_0b4e = 0x0b4e,
	BNXT_ULP_ACT_HID_650a = 0x650a,
	BNXT_ULP_ACT_HID_4f6e = 0x4f6e,
	BNXT_ULP_ACT_HID_06c2 = 0x06c2,
	BNXT_ULP_ACT_HID_761a = 0x761a,
	BNXT_ULP_ACT_HID_17d2 = 0x17d2,
	BNXT_ULP_ACT_HID_5bfa = 0x5bfa,
	BNXT_ULP_ACT_HID_134e = 0x134e,
	BNXT_ULP_ACT_HID_6d0a = 0x6d0a,
	BNXT_ULP_ACT_HID_576e = 0x576e,
	BNXT_ULP_ACT_HID_0ec2 = 0x0ec2,
	BNXT_ULP_ACT_HID_025e = 0x025e,
	BNXT_ULP_ACT_HID_1fd2 = 0x1fd2,
	BNXT_ULP_ACT_HID_440a = 0x440a,
	BNXT_ULP_ACT_HID_771a = 0x771a,
	BNXT_ULP_ACT_HID_551a = 0x551a,
	BNXT_ULP_ACT_HID_3f7e = 0x3f7e,
	BNXT_ULP_ACT_HID_728e = 0x728e,
	BNXT_ULP_ACT_HID_662a = 0x662a,
	BNXT_ULP_ACT_HID_07e2 = 0x07e2,
	BNXT_ULP_ACT_HID_4c0a = 0x4c0a,
	BNXT_ULP_ACT_HID_035e = 0x035e,
	BNXT_ULP_ACT_HID_5d1a = 0x5d1a,
	BNXT_ULP_ACT_HID_477e = 0x477e,
	BNXT_ULP_ACT_HID_7a8e = 0x7a8e,
	BNXT_ULP_ACT_HID_6e2a = 0x6e2a,
	BNXT_ULP_ACT_HID_0fe2 = 0x0fe2,
	BNXT_ULP_ACT_HID_540a = 0x540a,
	BNXT_ULP_ACT_HID_0b5e = 0x0b5e,
	BNXT_ULP_ACT_HID_651a = 0x651a,
	BNXT_ULP_ACT_HID_4f7e = 0x4f7e,
	BNXT_ULP_ACT_HID_06d2 = 0x06d2,
	BNXT_ULP_ACT_HID_762a = 0x762a,
	BNXT_ULP_ACT_HID_17e2 = 0x17e2,
	BNXT_ULP_ACT_HID_5c0a = 0x5c0a,
	BNXT_ULP_ACT_HID_135e = 0x135e,
	BNXT_ULP_ACT_HID_6d1a = 0x6d1a,
	BNXT_ULP_ACT_HID_577e = 0x577e,
	BNXT_ULP_ACT_HID_0ed2 = 0x0ed2,
	BNXT_ULP_ACT_HID_026e = 0x026e,
	BNXT_ULP_ACT_HID_1fe2 = 0x1fe2,
	BNXT_ULP_ACT_HID_5d82 = 0x5d82,
	BNXT_ULP_ACT_HID_14d6 = 0x14d6,
	BNXT_ULP_ACT_HID_6e92 = 0x6e92,
	BNXT_ULP_ACT_HID_58f6 = 0x58f6,
	BNXT_ULP_ACT_HID_104a = 0x104a,
	BNXT_ULP_ACT_HID_215a = 0x215a,
	BNXT_ULP_ACT_HID_5d92 = 0x5d92,
	BNXT_ULP_ACT_HID_14e6 = 0x14e6,
	BNXT_ULP_ACT_HID_6ea2 = 0x6ea2,
	BNXT_ULP_ACT_HID_5906 = 0x5906,
	BNXT_ULP_ACT_HID_105a = 0x105a,
	BNXT_ULP_ACT_HID_216a = 0x216a,
	BNXT_ULP_ACT_HID_6582 = 0x6582,
	BNXT_ULP_ACT_HID_1cd6 = 0x1cd6,
	BNXT_ULP_ACT_HID_7692 = 0x7692,
	BNXT_ULP_ACT_HID_60f6 = 0x60f6,
	BNXT_ULP_ACT_HID_184a = 0x184a,
	BNXT_ULP_ACT_HID_295a = 0x295a,
	BNXT_ULP_ACT_HID_6592 = 0x6592,
	BNXT_ULP_ACT_HID_1ce6 = 0x1ce6,
	BNXT_ULP_ACT_HID_76a2 = 0x76a2,
	BNXT_ULP_ACT_HID_6106 = 0x6106,
	BNXT_ULP_ACT_HID_185a = 0x185a,
	BNXT_ULP_ACT_HID_296a = 0x296a,
	BNXT_ULP_ACT_HID_6d82 = 0x6d82,
	BNXT_ULP_ACT_HID_24d6 = 0x24d6,
	BNXT_ULP_ACT_HID_02d6 = 0x02d6,
	BNXT_ULP_ACT_HID_68f6 = 0x68f6,
	BNXT_ULP_ACT_HID_204a = 0x204a,
	BNXT_ULP_ACT_HID_315a = 0x315a,
	BNXT_ULP_ACT_HID_6d92 = 0x6d92,
	BNXT_ULP_ACT_HID_24e6 = 0x24e6,
	BNXT_ULP_ACT_HID_02e6 = 0x02e6,
	BNXT_ULP_ACT_HID_6906 = 0x6906,
	BNXT_ULP_ACT_HID_205a = 0x205a,
	BNXT_ULP_ACT_HID_316a = 0x316a,
	BNXT_ULP_ACT_HID_7582 = 0x7582,
	BNXT_ULP_ACT_HID_2cd6 = 0x2cd6,
	BNXT_ULP_ACT_HID_0ad6 = 0x0ad6,
	BNXT_ULP_ACT_HID_70f6 = 0x70f6,
	BNXT_ULP_ACT_HID_284a = 0x284a,
	BNXT_ULP_ACT_HID_395a = 0x395a,
	BNXT_ULP_ACT_HID_7592 = 0x7592,
	BNXT_ULP_ACT_HID_2ce6 = 0x2ce6,
	BNXT_ULP_ACT_HID_0ae6 = 0x0ae6,
	BNXT_ULP_ACT_HID_7106 = 0x7106,
	BNXT_ULP_ACT_HID_285a = 0x285a,
	BNXT_ULP_ACT_HID_396a = 0x396a,
	BNXT_ULP_ACT_HID_0020 = 0x0020,
	BNXT_ULP_ACT_HID_0030 = 0x0030,
	BNXT_ULP_ACT_HID_65d4 = 0x65d4,
	BNXT_ULP_ACT_HID_65e4 = 0x65e4,
	BNXT_ULP_ACT_HID_330a = 0x330a,
	BNXT_ULP_ACT_HID_331a = 0x331a,
	BNXT_ULP_ACT_HID_1cfe = 0x1cfe,
	BNXT_ULP_ACT_HID_1d0e = 0x1d0e,
	BNXT_ULP_ACT_HID_1474 = 0x1474,
	BNXT_ULP_ACT_HID_4838 = 0x4838,
	BNXT_ULP_ACT_HID_6458 = 0x6458,
	BNXT_ULP_ACT_HID_1c68 = 0x1c68,
	BNXT_ULP_ACT_HID_6c34 = 0x6c34,
	BNXT_ULP_ACT_HID_5d08 = 0x5d08,
	BNXT_ULP_ACT_HID_5d10 = 0x5d10,
	BNXT_ULP_ACT_HID_5d20 = 0x5d20,
	BNXT_ULP_ACT_HID_2e18 = 0x2e18,
	BNXT_ULP_ACT_HID_29d4 = 0x29d4,
	BNXT_ULP_ACT_HID_7690 = 0x7690,
	BNXT_ULP_ACT_HID_47a0 = 0x47a0,
	BNXT_ULP_ACT_HID_435c = 0x435c,
	BNXT_ULP_ACT_HID_5d18 = 0x5d18,
	BNXT_ULP_ACT_HID_2e28 = 0x2e28,
	BNXT_ULP_ACT_HID_29e4 = 0x29e4,
	BNXT_ULP_ACT_HID_76a0 = 0x76a0,
	BNXT_ULP_ACT_HID_47b0 = 0x47b0,
	BNXT_ULP_ACT_HID_436c = 0x436c,
	BNXT_ULP_ACT_HID_0ab4 = 0x0ab4,
	BNXT_ULP_ACT_HID_0ac4 = 0x0ac4,
	BNXT_ULP_ACT_HID_1436 = 0x1436,
	BNXT_ULP_ACT_HID_143e = 0x143e,
	BNXT_ULP_ACT_HID_144e = 0x144e,
	BNXT_ULP_ACT_HID_6102 = 0x6102,
	BNXT_ULP_ACT_HID_5cbe = 0x5cbe,
	BNXT_ULP_ACT_HID_2dbe = 0x2dbe,
	BNXT_ULP_ACT_HID_7a8a = 0x7a8a,
	BNXT_ULP_ACT_HID_7646 = 0x7646,
	BNXT_ULP_ACT_HID_1446 = 0x1446,
	BNXT_ULP_ACT_HID_6112 = 0x6112,
	BNXT_ULP_ACT_HID_5cce = 0x5cce,
	BNXT_ULP_ACT_HID_2dce = 0x2dce,
	BNXT_ULP_ACT_HID_7a9a = 0x7a9a,
	BNXT_ULP_ACT_HID_7656 = 0x7656,
	BNXT_ULP_ACT_HID_3d9e = 0x3d9e,
	BNXT_ULP_ACT_HID_3dae = 0x3dae,
	BNXT_ULP_ACT_HID_6508 = 0x6508,
	BNXT_ULP_ACT_HID_6d08 = 0x6d08,
	BNXT_ULP_ACT_HID_7508 = 0x7508,
	BNXT_ULP_ACT_HID_6518 = 0x6518,
	BNXT_ULP_ACT_HID_6d18 = 0x6d18,
	BNXT_ULP_ACT_HID_7518 = 0x7518,
	BNXT_ULP_ACT_HID_6e18 = 0x6e18,
	BNXT_ULP_ACT_HID_256c = 0x256c,
	BNXT_ULP_ACT_HID_036c = 0x036c,
	BNXT_ULP_ACT_HID_698c = 0x698c,
	BNXT_ULP_ACT_HID_20e0 = 0x20e0,
	BNXT_ULP_ACT_HID_31f0 = 0x31f0,
	BNXT_ULP_ACT_HID_7618 = 0x7618,
	BNXT_ULP_ACT_HID_2d6c = 0x2d6c,
	BNXT_ULP_ACT_HID_0b6c = 0x0b6c,
	BNXT_ULP_ACT_HID_718c = 0x718c,
	BNXT_ULP_ACT_HID_28e0 = 0x28e0,
	BNXT_ULP_ACT_HID_39f0 = 0x39f0,
	BNXT_ULP_ACT_HID_025c = 0x025c,
	BNXT_ULP_ACT_HID_356c = 0x356c,
	BNXT_ULP_ACT_HID_136c = 0x136c,
	BNXT_ULP_ACT_HID_798c = 0x798c,
	BNXT_ULP_ACT_HID_30e0 = 0x30e0,
	BNXT_ULP_ACT_HID_41f0 = 0x41f0,
	BNXT_ULP_ACT_HID_0a5c = 0x0a5c,
	BNXT_ULP_ACT_HID_3d6c = 0x3d6c,
	BNXT_ULP_ACT_HID_1b6c = 0x1b6c,
	BNXT_ULP_ACT_HID_05d0 = 0x05d0,
	BNXT_ULP_ACT_HID_38e0 = 0x38e0,
	BNXT_ULP_ACT_HID_49f0 = 0x49f0,
	BNXT_ULP_ACT_HID_6e28 = 0x6e28,
	BNXT_ULP_ACT_HID_257c = 0x257c,
	BNXT_ULP_ACT_HID_037c = 0x037c,
	BNXT_ULP_ACT_HID_699c = 0x699c,
	BNXT_ULP_ACT_HID_20f0 = 0x20f0,
	BNXT_ULP_ACT_HID_3200 = 0x3200,
	BNXT_ULP_ACT_HID_7628 = 0x7628,
	BNXT_ULP_ACT_HID_2d7c = 0x2d7c,
	BNXT_ULP_ACT_HID_0b7c = 0x0b7c,
	BNXT_ULP_ACT_HID_719c = 0x719c,
	BNXT_ULP_ACT_HID_28f0 = 0x28f0,
	BNXT_ULP_ACT_HID_3a00 = 0x3a00,
	BNXT_ULP_ACT_HID_026c = 0x026c,
	BNXT_ULP_ACT_HID_357c = 0x357c,
	BNXT_ULP_ACT_HID_137c = 0x137c,
	BNXT_ULP_ACT_HID_799c = 0x799c,
	BNXT_ULP_ACT_HID_30f0 = 0x30f0,
	BNXT_ULP_ACT_HID_4200 = 0x4200,
	BNXT_ULP_ACT_HID_0a6c = 0x0a6c,
	BNXT_ULP_ACT_HID_3d7c = 0x3d7c,
	BNXT_ULP_ACT_HID_1b7c = 0x1b7c,
	BNXT_ULP_ACT_HID_05e0 = 0x05e0,
	BNXT_ULP_ACT_HID_38f0 = 0x38f0,
	BNXT_ULP_ACT_HID_4a00 = 0x4a00,
	BNXT_ULP_ACT_HID_0be4 = 0x0be4,
	BNXT_ULP_ACT_HID_3ef4 = 0x3ef4,
	BNXT_ULP_ACT_HID_1cf4 = 0x1cf4,
	BNXT_ULP_ACT_HID_0758 = 0x0758,
	BNXT_ULP_ACT_HID_3a68 = 0x3a68,
	BNXT_ULP_ACT_HID_4b78 = 0x4b78,
	BNXT_ULP_ACT_HID_0bf4 = 0x0bf4,
	BNXT_ULP_ACT_HID_3f04 = 0x3f04,
	BNXT_ULP_ACT_HID_1d04 = 0x1d04,
	BNXT_ULP_ACT_HID_0768 = 0x0768,
	BNXT_ULP_ACT_HID_3a78 = 0x3a78,
	BNXT_ULP_ACT_HID_4b88 = 0x4b88,
	BNXT_ULP_ACT_HID_46f4 = 0x46f4,
	BNXT_ULP_ACT_HID_24f4 = 0x24f4,
	BNXT_ULP_ACT_HID_0f58 = 0x0f58,
	BNXT_ULP_ACT_HID_13e4 = 0x13e4,
	BNXT_ULP_ACT_HID_4268 = 0x4268,
	BNXT_ULP_ACT_HID_5378 = 0x5378,
	BNXT_ULP_ACT_HID_13f4 = 0x13f4,
	BNXT_ULP_ACT_HID_4704 = 0x4704,
	BNXT_ULP_ACT_HID_2504 = 0x2504,
	BNXT_ULP_ACT_HID_0f68 = 0x0f68,
	BNXT_ULP_ACT_HID_4278 = 0x4278,
	BNXT_ULP_ACT_HID_5388 = 0x5388,
	BNXT_ULP_ACT_HID_1be4 = 0x1be4,
	BNXT_ULP_ACT_HID_4ef4 = 0x4ef4,
	BNXT_ULP_ACT_HID_2cf4 = 0x2cf4,
	BNXT_ULP_ACT_HID_1758 = 0x1758,
	BNXT_ULP_ACT_HID_4a68 = 0x4a68,
	BNXT_ULP_ACT_HID_5b78 = 0x5b78,
	BNXT_ULP_ACT_HID_1bf4 = 0x1bf4,
	BNXT_ULP_ACT_HID_4f04 = 0x4f04,
	BNXT_ULP_ACT_HID_2d04 = 0x2d04,
	BNXT_ULP_ACT_HID_1768 = 0x1768,
	BNXT_ULP_ACT_HID_4a78 = 0x4a78,
	BNXT_ULP_ACT_HID_5b88 = 0x5b88,
	BNXT_ULP_ACT_HID_23e4 = 0x23e4,
	BNXT_ULP_ACT_HID_56f4 = 0x56f4,
	BNXT_ULP_ACT_HID_34f4 = 0x34f4,
	BNXT_ULP_ACT_HID_1f58 = 0x1f58,
	BNXT_ULP_ACT_HID_5268 = 0x5268,
	BNXT_ULP_ACT_HID_6378 = 0x6378,
	BNXT_ULP_ACT_HID_23f4 = 0x23f4,
	BNXT_ULP_ACT_HID_5704 = 0x5704,
	BNXT_ULP_ACT_HID_3504 = 0x3504,
	BNXT_ULP_ACT_HID_1f68 = 0x1f68,
	BNXT_ULP_ACT_HID_5278 = 0x5278,
	BNXT_ULP_ACT_HID_6388 = 0x6388,
	BNXT_ULP_ACT_HID_1c36 = 0x1c36,
	BNXT_ULP_ACT_HID_2436 = 0x2436,
	BNXT_ULP_ACT_HID_2c36 = 0x2c36,
	BNXT_ULP_ACT_HID_1c46 = 0x1c46,
	BNXT_ULP_ACT_HID_2446 = 0x2446,
	BNXT_ULP_ACT_HID_2c46 = 0x2c46,
	BNXT_ULP_ACT_HID_2546 = 0x2546,
	BNXT_ULP_ACT_HID_5856 = 0x5856,
	BNXT_ULP_ACT_HID_3656 = 0x3656,
	BNXT_ULP_ACT_HID_20ba = 0x20ba,
	BNXT_ULP_ACT_HID_53ca = 0x53ca,
	BNXT_ULP_ACT_HID_64da = 0x64da,
	BNXT_ULP_ACT_HID_2d46 = 0x2d46,
	BNXT_ULP_ACT_HID_6056 = 0x6056,
	BNXT_ULP_ACT_HID_3e56 = 0x3e56,
	BNXT_ULP_ACT_HID_28ba = 0x28ba,
	BNXT_ULP_ACT_HID_5bca = 0x5bca,
	BNXT_ULP_ACT_HID_6cda = 0x6cda,
	BNXT_ULP_ACT_HID_3546 = 0x3546,
	BNXT_ULP_ACT_HID_6856 = 0x6856,
	BNXT_ULP_ACT_HID_4656 = 0x4656,
	BNXT_ULP_ACT_HID_30ba = 0x30ba,
	BNXT_ULP_ACT_HID_63ca = 0x63ca,
	BNXT_ULP_ACT_HID_74da = 0x74da,
	BNXT_ULP_ACT_HID_3d46 = 0x3d46,
	BNXT_ULP_ACT_HID_7056 = 0x7056,
	BNXT_ULP_ACT_HID_4e56 = 0x4e56,
	BNXT_ULP_ACT_HID_38ba = 0x38ba,
	BNXT_ULP_ACT_HID_6bca = 0x6bca,
	BNXT_ULP_ACT_HID_011e = 0x011e,
	BNXT_ULP_ACT_HID_2556 = 0x2556,
	BNXT_ULP_ACT_HID_5866 = 0x5866,
	BNXT_ULP_ACT_HID_3666 = 0x3666,
	BNXT_ULP_ACT_HID_20ca = 0x20ca,
	BNXT_ULP_ACT_HID_53da = 0x53da,
	BNXT_ULP_ACT_HID_64ea = 0x64ea,
	BNXT_ULP_ACT_HID_2d56 = 0x2d56,
	BNXT_ULP_ACT_HID_6066 = 0x6066,
	BNXT_ULP_ACT_HID_3e66 = 0x3e66,
	BNXT_ULP_ACT_HID_28ca = 0x28ca,
	BNXT_ULP_ACT_HID_5bda = 0x5bda,
	BNXT_ULP_ACT_HID_6cea = 0x6cea,
	BNXT_ULP_ACT_HID_3556 = 0x3556,
	BNXT_ULP_ACT_HID_6866 = 0x6866,
	BNXT_ULP_ACT_HID_4666 = 0x4666,
	BNXT_ULP_ACT_HID_30ca = 0x30ca,
	BNXT_ULP_ACT_HID_63da = 0x63da,
	BNXT_ULP_ACT_HID_74ea = 0x74ea,
	BNXT_ULP_ACT_HID_3d56 = 0x3d56,
	BNXT_ULP_ACT_HID_7066 = 0x7066,
	BNXT_ULP_ACT_HID_4e66 = 0x4e66,
	BNXT_ULP_ACT_HID_38ca = 0x38ca,
	BNXT_ULP_ACT_HID_6bda = 0x6bda,
	BNXT_ULP_ACT_HID_012e = 0x012e,
	BNXT_ULP_ACT_HID_3ece = 0x3ece,
	BNXT_ULP_ACT_HID_71de = 0x71de,
	BNXT_ULP_ACT_HID_4fde = 0x4fde,
	BNXT_ULP_ACT_HID_3a42 = 0x3a42,
	BNXT_ULP_ACT_HID_6d52 = 0x6d52,
	BNXT_ULP_ACT_HID_02a6 = 0x02a6,
	BNXT_ULP_ACT_HID_3ede = 0x3ede,
	BNXT_ULP_ACT_HID_71ee = 0x71ee,
	BNXT_ULP_ACT_HID_4fee = 0x4fee,
	BNXT_ULP_ACT_HID_3a52 = 0x3a52,
	BNXT_ULP_ACT_HID_6d62 = 0x6d62,
	BNXT_ULP_ACT_HID_02b6 = 0x02b6,
	BNXT_ULP_ACT_HID_79de = 0x79de,
	BNXT_ULP_ACT_HID_57de = 0x57de,
	BNXT_ULP_ACT_HID_4242 = 0x4242,
	BNXT_ULP_ACT_HID_46ce = 0x46ce,
	BNXT_ULP_ACT_HID_7552 = 0x7552,
	BNXT_ULP_ACT_HID_0aa6 = 0x0aa6,
	BNXT_ULP_ACT_HID_46de = 0x46de,
	BNXT_ULP_ACT_HID_79ee = 0x79ee,
	BNXT_ULP_ACT_HID_57ee = 0x57ee,
	BNXT_ULP_ACT_HID_4252 = 0x4252,
	BNXT_ULP_ACT_HID_7562 = 0x7562,
	BNXT_ULP_ACT_HID_0ab6 = 0x0ab6,
	BNXT_ULP_ACT_HID_4ece = 0x4ece,
	BNXT_ULP_ACT_HID_0622 = 0x0622,
	BNXT_ULP_ACT_HID_5fde = 0x5fde,
	BNXT_ULP_ACT_HID_4a42 = 0x4a42,
	BNXT_ULP_ACT_HID_0196 = 0x0196,
	BNXT_ULP_ACT_HID_12a6 = 0x12a6,
	BNXT_ULP_ACT_HID_4ede = 0x4ede,
	BNXT_ULP_ACT_HID_0632 = 0x0632,
	BNXT_ULP_ACT_HID_5fee = 0x5fee,
	BNXT_ULP_ACT_HID_4a52 = 0x4a52,
	BNXT_ULP_ACT_HID_01a6 = 0x01a6,
	BNXT_ULP_ACT_HID_12b6 = 0x12b6,
	BNXT_ULP_ACT_HID_56ce = 0x56ce,
	BNXT_ULP_ACT_HID_0e22 = 0x0e22,
	BNXT_ULP_ACT_HID_67de = 0x67de,
	BNXT_ULP_ACT_HID_5242 = 0x5242,
	BNXT_ULP_ACT_HID_0996 = 0x0996,
	BNXT_ULP_ACT_HID_1aa6 = 0x1aa6,
	BNXT_ULP_ACT_HID_56de = 0x56de,
	BNXT_ULP_ACT_HID_0e32 = 0x0e32,
	BNXT_ULP_ACT_HID_67ee = 0x67ee,
	BNXT_ULP_ACT_HID_5252 = 0x5252,
	BNXT_ULP_ACT_HID_09a6 = 0x09a6,
	BNXT_ULP_ACT_HID_1ab6 = 0x1ab6,
	BNXT_ULP_ACT_HID_31d0 = 0x31d0,
	BNXT_ULP_ACT_HID_31e0 = 0x31e0,
	BNXT_ULP_ACT_HID_39d0 = 0x39d0,
	BNXT_ULP_ACT_HID_39e0 = 0x39e0,
	BNXT_ULP_ACT_HID_41d0 = 0x41d0,
	BNXT_ULP_ACT_HID_41e0 = 0x41e0,
	BNXT_ULP_ACT_HID_49d0 = 0x49d0,
	BNXT_ULP_ACT_HID_49e0 = 0x49e0,
	BNXT_ULP_ACT_HID_64ba = 0x64ba,
	BNXT_ULP_ACT_HID_64ca = 0x64ca,
	BNXT_ULP_ACT_HID_6cba = 0x6cba,
	BNXT_ULP_ACT_HID_6cca = 0x6cca,
	BNXT_ULP_ACT_HID_74ba = 0x74ba,
	BNXT_ULP_ACT_HID_74ca = 0x74ca,
	BNXT_ULP_ACT_HID_00fe = 0x00fe,
	BNXT_ULP_ACT_HID_010e = 0x010e,
	BNXT_ULP_ACT_HID_331c = 0x331c,
	BNXT_ULP_ACT_HID_332c = 0x332c,
	BNXT_ULP_ACT_HID_6706 = 0x6706,
	BNXT_ULP_ACT_HID_6716 = 0x6716,
	BNXT_ULP_ACT_HID_1b6d = 0x1b6d,
	BNXT_ULP_ACT_HID_1b7d = 0x1b7d,
	BNXT_ULP_ACT_HID_641a = 0x641a
};

enum bnxt_ulp_df_tpl {
	BNXT_ULP_DF_TPL_DEFAULT_UPLINK_PORT = 4,
	BNXT_ULP_DF_TPL_DEFAULT_VFR = 5
};

#endif

